'use strict';

const keydownEvent = (event) => {
  console.log('key down');
  event.stopPropagation();
  if (event.key === 'Enter' || event.key === ' ') {
    event.target.click();
  }
  // switch component
  if (event.key === 'ArrowLeft' || event.key === 'ArrowRight') {
    if (event.target.classList.contains('switch')) {
      event.target.click();
    }
  }
};

function removeFocus(event) {
  event.stopPropagation();
  event.target.blur();
}

function animate({timing, draw, duration}) {
  return new Promise((resolve, reject) => {
    let start = performance.now();
    requestAnimationFrame(function animate(time) {
      let timeFraction = (time - start) / duration;
      if (timeFraction > 1) timeFraction = 1;
  
      let progress = timing(timeFraction);
  
      draw(progress);
  
      if (timeFraction < 1) {
        requestAnimationFrame(animate);
      } else {
        resolve();
      }
    });
  });
}

function HTMLDecodeString(strDecode) {
  const txt = document.createElement("textarea");
  if (strDecode) {
    txt.innerHTML = strDecode;
    return txt.value;
  }
  return '';
}

exports.HTMLDecodeString = HTMLDecodeString;
exports.animate = animate;
exports.keydownEvent = keydownEvent;
exports.removeFocus = removeFocus;
