'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-cd75521b.js');
const global = require('./global-73bf4da9.js');

const sasBreadcrumbCss = ":host{display:block;font-size:14px;font-weight:500}:host ul{list-style-type:none;display:inline-flex;margin:0;padding:0}:host a{color:var(--secondary);text-decoration:none}:host a:hover,:host a:focus{text-decoration:underline;cursor:pointer;outline:none}:host .disabled{color:var(--s-400);font-weight:normal;pointer-events:none}:host .divider{padding:0 15px}";

let SasBreadcrumb = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /**
     * Breadcrumb item array
     */
    this.items = [];
    this.showAll = false;
    this.showAllBreadcrumb = () => {
      this.showAll = true;
    };
  }
  getBreadcrumbs() {
    const breadcrumbs = [];
    let breadcrumb;
    let divider;
    if (this.items.length > 5 && !this.showAll) {
      breadcrumb = index.h("li", null, index.h("a", { class: this.getDisabled(this.items[0].disabled), tabindex: this.getTabindex(this.items[0].disabled), href: this.items[0].href }, this.items[0].text));
      breadcrumbs.push(breadcrumb);
      divider = index.h("li", { class: "divider" }, "/");
      breadcrumbs.push(divider);
      breadcrumb = index.h("li", null, index.h("a", { tabindex: 0, onClick: this.showAllBreadcrumb, onKeyDown: global.keydownEvent }, "..."));
      breadcrumbs.push(breadcrumb);
      divider = index.h("li", { class: "divider" }, "/");
      breadcrumbs.push(divider);
      breadcrumb = index.h("li", null, index.h("a", { class: this.getDisabled(this.items[this.items.length - 1].disabled), tabindex: this.getTabindex(this.items[this.items.length - 1].disabled), href: this.items[this.items.length - 1].href }, this.items[this.items.length - 1].text));
      breadcrumbs.push(breadcrumb);
    }
    else {
      this.items.forEach((item, index$1) => {
        breadcrumb = index.h("li", null, index.h("a", { class: this.getDisabled(item.disabled), tabindex: this.getTabindex(item.disabled), href: item.href }, item.text));
        breadcrumbs.push(breadcrumb);
        if (index$1 !== this.items.length - 1) {
          divider = index.h("li", { class: "divider" }, "/");
          breadcrumbs.push(divider);
        }
      });
    }
    return breadcrumbs;
  }
  getDisabled(disabled) {
    if (disabled) {
      return 'disabled';
    }
    return '';
  }
  getTabindex(disabled) {
    if (disabled) {
      return -1;
    }
    return 0;
  }
  render() {
    return (index.h(index.Host, null, index.h("ul", null, this.getBreadcrumbs())));
  }
};
SasBreadcrumb.style = sasBreadcrumbCss;

exports.sas_breadcrumb = SasBreadcrumb;
