'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-cd75521b.js');
const global = require('./global-73bf4da9.js');

const sasTabItemCss = ":host{display:inline-block}:host .container{display:inline-block;font-size:16px;font-weight:normal;border-bottom:var(--tab-item-border-bottom, 3px solid transparent);color:var(--tab-item-color, --s-500);padding:24px 0;margin-right:60px;cursor:pointer;position:relative}:host(:hover) .container{color:var(--s-600)}";

let SasTabItem = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.tabItemClicked = index.createEvent(this, "tabItemClicked", 7);
    /**
     * Value
     */
    this.value = '';
    /**
     * Text
     */
    this.text = '';
    this.clickEvent = () => {
      const obj = {
        value: this.value,
        text: this.text,
      };
      this.tabItemClicked.emit(obj);
    };
  }
  render() {
    return (index.h(index.Host, { tabindex: 0, onClick: this.clickEvent, onKeyDown: global.keydownEvent, onMouseUp: global.removeFocus }, index.h("div", { class: "container" }, this.text)));
  }
};
SasTabItem.style = sasTabItemCss;

exports.sas_tab_item = SasTabItem;
