'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-cd75521b.js');

const sasTabCss = ":host{display:block}:host .container{display:block;border-bottom:1px solid var(--s-200)}::slotted(sas-tab-item.tab-active){--tab-item-border-bottom:3px solid var(--primary);--tab-item-color:var(--s-600)}";

let SasTab = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.tabUpdate = index.createEvent(this, "tabUpdate", 7);
    this.tabupdate = index.createEvent(this, "tabupdate", 7);
  }
  tabItemClickedHandler(event) {
    this.addActiveClass(event.detail.value);
    this.tabUpdate.emit(event.detail);
    this.tabupdate.emit(event.detail);
  }
  addActiveClass(value) {
    const tabItems = this.el.querySelectorAll('sas-tab-item');
    tabItems.forEach((tabItem) => {
      if (tabItem.value === value) {
        tabItem.classList.add('tab-active');
      }
      else {
        tabItem.classList.remove('tab-active');
      }
    });
  }
  render() {
    return (index.h(index.Host, null, index.h("div", { class: "container" }, index.h("slot", null))));
  }
  get el() { return index.getElement(this); }
};
SasTab.style = sasTabCss;

exports.sas_tab = SasTab;
