'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-cd75521b.js');

const sasTableCss = ":host table{width:100%;text-align:center;border-collapse:collapse;line-height:3}:host th{font-size:12px;color:#253F4D;cursor:pointer;vertical-align:middle;font-weight:500}:host td{font-size:14px;font-weight:normal;color:#4C6671}:host span{display:table-cell}:host sas-button.date-button{--button-border:1px solid transparent;--button-border-radius:50%;--button-margin:5px 0;--button-padding:0;--button-width:33px;--button-height:33px;--button-color:#4C6671}:host sas-button.date-button-active{--button-background-color:var(--primary);--button-color:white;--button-border:1px solid var(--primary)}:host sas-button[disabled]:not([disabled=false]).date-button{--button-color:var(--s-300)}";

let SasTable = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /**
     * Table Headers
     */
    this.headers = [];
    /**
     * Table Items
     */
    this.items = [];
    this.sortedItems = [];
    this.sort = (event) => {
      let key;
      let iconElement;
      let sortAble = true;
      // handle condition when click on sas-icon
      if (event.target.tagName === 'TH') {
        key = event.target.getAttribute('data-value');
        iconElement = event.target.querySelector('sas-icon');
        if (!iconElement) {
          sortAble = false;
        }
      }
      else {
        key = event.target.parentNode.getAttribute('data-value');
        iconElement = event.target;
      }
      if (sortAble) {
        if (iconElement.icon === 'fas fa-sort-up') {
          iconElement.icon = 'fas fa-sort-down';
          this.sortedItems.sort((a, b) => {
            if (a[key] < b[key]) {
              return 1;
            }
            if (a[key] > b[key]) {
              return -1;
            }
            return 0;
          });
        }
        else {
          iconElement.icon = 'fas fa-sort-up';
          this.sortedItems.sort((a, b) => {
            if (a[key] < b[key]) {
              return -1;
            }
            if (a[key] > b[key]) {
              return 1;
            }
            return 0;
          });
        }
        this.sortedItems = [...this.sortedItems];
      }
    };
  }
  componentWillLoad() {
    this.sortedItems = [...this.items];
  }
  watchHandler(newValue) {
    this.sortedItems = [...newValue];
  }
  generateTableContent(item) {
    const content = Object.values(item).map(value => index.h("td", null, value));
    return content;
  }
  render() {
    return (index.h(index.Host, null, index.h("table", null, index.h("thead", null, index.h("tr", null, this.headers.map((header) => index.h("th", { "data-value": header.value, onClick: this.sort }, header.text, header.sortAble
      ? index.h("sas-icon", { icon: "fas fa-sort" })
      : null)))), index.h("tbody", null, this.sortedItems.map((item) => index.h("tr", null, this.generateTableContent(item)))))));
  }
  static get watchers() { return {
    "items": ["watchHandler"]
  }; }
};
SasTable.style = sasTableCss;

exports.sas_table = SasTable;
