'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-cd75521b.js');

const sasUserCardCss = ":host .container{display:inline-block;background-color:#FFF;border:1px solid var(--s-200);border-radius:5px;box-sizing:border-box;padding:0 20px;margin-top:35px;width:215px;height:155px;text-align:left;position:relative}:host sas-avatar{margin-top:-35px}:host .option{position:absolute;top:8px;right:16px;z-index:2}:host .ellipsis-icon{--icon-background-width:normal;--icon-background-height:normal;--icon-color:var(--s-400);--icon-size:30px}:host .title{font-size:14px;font-weight:500;margin-top:15px;color:var(--secondary)}:host .subtitle{font-size:12px;margin-top:10px;margin-bottom:16px;color:var(--s-500)}:host .hide{display:none;margin-right:0}:host .control{display:flex;align-items:center;height:26px}:host sas-switch{margin-right:6px}:host .status{font-size:10px;color:var(--s-400);flex-grow:1}:host ul{margin:0;list-style-type:none}:host li{display:inline}:host sas-icon{font-size:16px;--icon-color:var(--primary);--icon-background-width:normal;--icon-background-height:normal;margin-left:10px}:host([block]:not([block=false])){display:block}:host([block]:not([block=false])) .container{width:100%}";

let SasUserCard = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /**
     * Display as block
     */
    this.block = false;
    /**
     * Name
     */
    this.name = 'Walter White';
    /**
     * Position
     */
    this.position = 'Business Administrator';
    /**
     * Position
     */
    this.status = 'ACTIVE';
    /**
     * Badge
     */
    this.badge = false;
    /**
     * Has attachment
     */
    this.attachment = false;
    /**
     * Src
     */
    this.src = 'https://cdn.vuetifyjs.com/images/john.jpg';
  }
  switchUpdateHandler(event) {
    event.stopPropagation();
    if (event.detail) {
      this.status = 'ACTIVE';
    }
    else {
      this.status = 'INACTIVE';
    }
  }
  getDisabledValue() {
    if (this.status.toUpperCase() === 'ARCHIVED') {
      return true;
    }
    return false;
  }
  getSwitchClass() {
    if (this.status.toUpperCase() === 'ARCHIVED') {
      return 'hide';
    }
    return '';
  }
  getCheckedValue() {
    const status = this.status.toUpperCase();
    if (status === 'ACTIVE') {
      return true;
    }
    return false;
  }
  getIcons() {
    const icons = [];
    let icon;
    if (this.badge) {
      icon = index.h("li", null, index.h("sas-icon", { icon: "fas fa-id-badge" }));
      icons.push(icon);
    }
    if (this.attachment) {
      icon = index.h("li", null, index.h("sas-icon", { icon: "fas fa-clipboard-list" }));
      icons.push(icon);
    }
    return icons;
  }
  render() {
    return (index.h(index.Host, null, index.h("div", { class: "container" }, index.h("sas-avatar", { type: "medium", src: this.src, disabled: this.getDisabledValue() }), index.h("sas-dropdown", { class: "option", "position-h": "left" }, index.h("sas-icon", { tabindex: "0", class: "ellipsis-icon", slot: "control", icon: "fal fa-ellipsis-h" }), index.h("slot", { name: "list", slot: "menu" })), index.h("div", { class: "content" }, index.h("div", { class: "title" }, this.name), index.h("div", { class: "subtitle" }, this.position), index.h("div", { class: "control" }, index.h("sas-switch", { class: this.getSwitchClass(), checked: this.getCheckedValue() }), index.h("div", { class: "status" }, this.status.toUpperCase()), index.h("ul", null, this.getIcons()))))));
  }
};
SasUserCard.style = sasUserCardCss;

exports.sas_user_card = SasUserCard;
