// sas-alert.stories.js
import readme from './readme.md';

export default {
  title: 'Basic/Alert',
  parameters: {
    notes: {
      markdown: readme,
    },
  },
};

const typeOptions = ['success', 'info', 'warning', 'error'];

export const Basic = (args) => `
  <sas-alert
    type="${args.type}"
    show="${args.show}"
    close="${args.close}"
    alert-title="${args.alertTitle}"
    content="${args.content}"
  >
  </sas-alert>
`;

Basic.args = {
  type: 'success',
  show: true,
  close: false,
  alertTitle: 'This is success alert.',
  content: 'Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt.',
};

Basic.argTypes = {
  type: {
    control: {
      type: 'select',
      options: typeOptions,
    },
  },
};

export const Type = () => `
  <h3>Type success<h3>
  <sas-alert type="success" alert-title="Type success" show></sas-alert>
  <h3>Type info<h3>
  <sas-alert type="info" alert-title="Type info" show></sas-alert>
  <h3>Type warning<h3>
  <sas-alert type="warning" alert-title="Type warning" show></sas-alert>
  <h3>Type error<h3>
  <sas-alert type="error" alert-title="Type error" show></sas-alert>
`;

export const Customize = () => `
  <sas-alert show>
    <div slot="title">This is a <span style="color:red">customized</span> title.</div>
    <div slot="content">This is a <span style="font-weight:bold">customized</span> content.</div>
  </sas-alert>
`;