// sas-avatar.stories.js
import readme from './readme.md';

export default {
  title: 'Basic/Avatar',
  parameters: {
    notes: {
      markdown: readme,
    },
    actions: {
      handles: ['avatarClicked', 'sas-avatar'],
    },
  },
};

const typeOptions = ['small', 'medium', 'large'];

export const Basic = (args) => `
  <sas-avatar
    type="${args.type}"
    name="${args.name}"
    src="${args.src}"
    disabled="${args.disabled}"
  ></sas-avatar>
`;

Basic.args = {
  type: 'medium',
  name: 'aaa bbb',
  src: 'https://cdn.vuetifyjs.com/images/john.jpg',
  disabled: false,
};

Basic.argTypes = {
  type: {
    control: {
      type: 'select',
      options: typeOptions,
    },
  },
};

export const Type = () => `
  <h3>Type small with image</h3>
  <sas-avatar type="small" src="https://cdn.vuetifyjs.com/images/john.jpg"></sas-avatar>
  <h3>Type medium with image</h3>
  <sas-avatar type="medium" src="https://cdn.vuetifyjs.com/images/john.jpg"></sas-avatar>
  <h3>Type large with image</h3>
  <sas-avatar type="large" src="https://cdn.vuetifyjs.com/images/john.jpg"></sas-avatar>
  <h3>Type small with name</h3>
  <sas-avatar type="small" name="aaa bbb"></sas-avatar>
  <h3>Type medium with name</h3>
  <sas-avatar type="medium" name="aaa bbb"></sas-avatar>
  <h3>Type large with name</h3>
  <sas-avatar type="large" name="aaa bbb"></sas-avatar>
`;

export const Status = () => `
  <h3>Status normal</h3>
  <sas-avatar type="medium" src="https://cdn.vuetifyjs.com/images/john.jpg"></sas-avatar>
  <h3>Status disabled</h3>
  <sas-avatar type="medium" src="https://cdn.vuetifyjs.com/images/john.jpg" disabled></sas-avatar>
`;
