import { Component, Host, h, Prop, } from '@stencil/core';
/**
 * @slot default - used for the badge’s content
 */
export class SasBadge {
  constructor() {
    /**
     * Type
     */
    this.type = 'indicator';
    /**
     * Indicator status, only works with type indicator
     */
    this.status = 'online';
    /**
     * Notification number, only works with type notification
     */
    this.number = 0;
    /**
     * Moves the badge to be inline with the wrapping element
     */
    this.inline = false;
  }
  getNumber() {
    if (this.type === 'indicator') {
      return '';
    }
    return this.number;
  }
  render() {
    return (h(Host, null,
      h("div", { class: "container" },
        h("slot", null),
        h("span", { class: "badge" }, this.getNumber()))));
  }
  static get is() { return "sas-badge"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["sas-badge.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["sas-badge.css"]
  }; }
  static get properties() { return {
    "type": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "'indicator' | 'notification'",
        "resolved": "\"indicator\" | \"notification\"",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Type"
      },
      "attribute": "type",
      "reflect": true,
      "defaultValue": "'indicator'"
    },
    "status": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "'online' | 'offline'",
        "resolved": "\"offline\" | \"online\"",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Indicator status, only works with type indicator"
      },
      "attribute": "status",
      "reflect": true,
      "defaultValue": "'online'"
    },
    "number": {
      "type": "number",
      "mutable": false,
      "complexType": {
        "original": "number",
        "resolved": "number",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Notification number, only works with type notification"
      },
      "attribute": "number",
      "reflect": true,
      "defaultValue": "0"
    },
    "inline": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Moves the badge to be inline with the wrapping element"
      },
      "attribute": "inline",
      "reflect": true,
      "defaultValue": "false"
    }
  }; }
}
