// sas-badge.stories.js
import readme from './readme.md';

export default {
  title: 'Basic/Badge',
  parameters: {
    notes: {
      markdown: readme,
    },
  },
};

const typeOptions = ['indicator', 'notification'];
const statusOptions = ['online', 'offline'];

export const Basic = (args) => `
  <sas-badge
    type="${args.type}"
    status="${args.status}"
    number="${args.number}"
    inline="${args.inline}"
  >
    <sas-avatar src="https://cdn.vuetifyjs.com/images/john.jpg"></sas-avatar>
  </sas-badge>
`;

Basic.args = {
  type: 'indicator',
  status: 'online',
  number: '1',
  inline: false,
};

Basic.argTypes = {
  type: {
    control: {
      type: 'select',
      options: typeOptions,
    },
  },
  status: {
    control: {
      type: 'select',
      options: statusOptions,
    },
  },
};

export const Type = () => `
  <h3>Type indicator with status online</h3>
  <sas-badge type="indicator" status="online">
    <sas-avatar src="https://cdn.vuetifyjs.com/images/john.jpg"></sas-avatar>
  </sas-badge>
  <h3>Type indicator with status offline</h3>
  <sas-badge type="indicator" status="offline">
    <sas-avatar src="https://cdn.vuetifyjs.com/images/john.jpg"></sas-avatar>
  </sas-badge>
  <h3>Type notification with number > 0</h3>
  <sas-badge type="notification" number="1">
    <sas-avatar src="https://cdn.vuetifyjs.com/images/john.jpg"></sas-avatar>
  </sas-badge>
  <h3>Type notification with number = 0</h3>
  <sas-badge type="notification" number="0">
    <sas-avatar src="https://cdn.vuetifyjs.com/images/john.jpg"></sas-avatar>
  </sas-badge>
`;

export const Display = () => `
  <h3>Display normal</h3>
  <sas-badge type="notification" number="5">
    <sas-avatar src="https://cdn.vuetifyjs.com/images/john.jpg"></sas-avatar>
  </sas-badge>
  <h3>Display inline</h3>
  <sas-badge type="notification" number="5" inline>
    <sas-avatar src="https://cdn.vuetifyjs.com/images/john.jpg"></sas-avatar>
  </sas-badge>
`;
