// sas-button-group.stories.js
import readme from './readme.md';

export default {
  title: 'Container/Button Group',
  parameters: {
    notes: {
      markdown: readme,
    },
    actions: {
      handles: ['buttonGroupUpdate', 'sas-button-group'],
    },
  },
};

export const Basic = (args) => `
  <sas-button-group
    multiple="${args.multiple}"
  >
    <sas-button icon="fas fa-align-left"></sas-button>
    <sas-button icon="fas fa-align-center"></sas-button>
    <sas-button icon="fas fa-align-right"></sas-button>
  </sas-button-group>
`;

Basic.args = {
  multiple: false,
};

export const Status = () => `
  <h3>Default</h3>  
  <sas-button-group>
    <sas-button icon="fas fa-align-left"></sas-button>
    <sas-button icon="fas fa-align-center"></sas-button>
    <sas-button icon="fas fa-align-right"></sas-button>
  </sas-button-group>

  <h3>Multiple</h3>  
  <sas-button-group
    multiple
  >
    <sas-button icon="fas fa-align-left"></sas-button>
    <sas-button icon="fas fa-align-center"></sas-button>
    <sas-button icon="fas fa-align-right"></sas-button>
  </sas-button-group>
`;
