// sas-card.stories.js
import readme from './readme.md';

export default {
  title: 'Higher Order/Card',
  parameters: {
    notes: {
      markdown: readme,
    },
  },
};

export const Basic = (args) => `
  <sas-card
    block="${args.block}"
    src="${args.src}"
    lazy-image="${args.lazyImage}"
    scale="${args.scale}"
    repair="${args.repair}"
    attachment="${args.attachment}"
    disabled="${args.disabled}"
    card-title="${args.cardTitle}"
  >
    <sas-list slot="list">
      <sas-list-item
        icon="fas fa-adjust"
        text="list-item-1"
        iconRight="fas fa-chevron-down"
      ></sas-list-item>
      <sas-list-item
        icon="fas fa-adjust"
        text="list-item-2"
        iconRight="fas fa-chevron-down"
      ></sas-list-item>
      <sas-list-item
        icon="fas fa-adjust"
        text="list-item-3"
        iconRight="fas fa-chevron-down"
      ></sas-list-item>
    </sas-list>
    <span slot="content">
      <b>Maintenance Due:</b> 00/00/2020<br>
      <b>Kms:</b> 1,529 updated on 00/00/2020
    </span>
  </sas-card>
`;

Basic.args = {
  block: false,
  src: 'https://cdn.vuetifyjs.com/images/cards/sunshine.jpg',
  lazyImage: false,
  scale: '1.05',
  repair: true,
  attachment: true,
  disabled: true,
  cardTitle: 'Row Crop Tractor 001',
};
