// sas-checkbox-group.stories.js
import readme from './readme.md';

export default {
  title: 'Container/Checkbox Group',
  parameters: {
    notes: {
      markdown: readme,
    },
    actions: {
      handles: ['checkboxGroupUpdate', 'sas-checkbox-group'],
    },
  },
};

export const Basic = (args) => `
  <sas-checkbox-group
    label="${args.label}"
    required="${args.required}"
    max="${args.max}"
    columns="${args.columns}"
    select-all="${args.selectAll}"
    selct-all-text="${args.selectAllText}"
  >
    <sas-checkbox value="apple1" text="Apple1"></sas-checkbox>
    <sas-checkbox value="apple2" text="Apple2"></sas-checkbox>
    <sas-checkbox value="banana" text="Banana"></sas-checkbox>
    <sas-checkbox value="orange" text="Orange"></sas-checkbox>
  </sas-checkbox-group>
`;

Basic.args = {
  label: 'label',
  required: true,
  max: 3,
  columns: 1,
  selectAll: false,
  selectAllText: 'All',
};

export const Status = (args) => `
  <h3>Default</h3>
  <sas-checkbox-group>
    <sas-checkbox value="apple1" text="Apple1"></sas-checkbox>
    <sas-checkbox value="apple2" text="Apple2"></sas-checkbox>
    <sas-checkbox value="banana" text="Banana"></sas-checkbox>
    <sas-checkbox value="orange" text="Orange"></sas-checkbox>
  </sas-checkbox-group>
  <h3>Has max selections (currently max is 3)</h3>
  <sas-checkbox-group max="3">
    <sas-checkbox value="apple1" text="Apple1"></sas-checkbox>
    <sas-checkbox value="apple2" text="Apple2"></sas-checkbox>
    <sas-checkbox value="banana" text="Banana"></sas-checkbox>
    <sas-checkbox value="orange" text="Orange"></sas-checkbox>
  </sas-checkbox-group>
`;
