// sas-checkbox.stories.js
import readme from './readme.md';

export default {
  title: 'Basic/Checkbox',
  parameters: {
    notes: {
      markdown: readme,
    },
    actions: {
      handles: ['checkboxUpdate', 'sas-checkbox'],
    },
  },
};

const alignOptions = ['left', 'right', 'space-between'];
const textPositionOptions = ['left', 'right'];

export const Basic = (args) => `
  <sas-checkbox
    align='${args.align}'
    value='${args.value}'
    text='${args.text}'
    text-position='${args.textPosition}'
    icon='${args.icon}'
    checked='${args.checked}'
    disabled='${args.disabled}'
  ></sas-checkbox>
`;

Basic.args = {
  align: 'left',
  value: 'value',
  text: 'checkbox',
  textPosition: 'right',
  icon: 'far fa-check',
  checked: false,
  disabled: false,
};

Basic.argTypes = {
  align: {
    control: {
      type: 'select',
      options: alignOptions,
    },
  },
  textPosition: {
    control: {
      type: 'select',
      options: textPositionOptions,
    },
  },
};

export const Display = () => `
  <h3>Text position left</h3>
  <h5>Align left</h5>
  <sas-checkbox text-position='left' align='left' text='checkbox'></sas-checkbox>
  <h5>Align right</h5>
  <sas-checkbox text-position='left' align='right' text='checkbox'></sas-checkbox>
  <h5>Align space between</h5>
  <sas-checkbox text-position='left' align='space-between' text='checkbox'></sas-checkbox>
  <h3>Text position right</h3>
  <h5>Align left</h5>
  <sas-checkbox text-position='right' align='left' text='checkbox'></sas-checkbox>
  <h5>Align right</h5>
  <sas-checkbox text-position='right' align='right' text='checkbox'></sas-checkbox>
  <h5>Align space between</h5>
  <sas-checkbox text-position='right' align='space-between' text='checkbox'></sas-checkbox>
`;

Display.parameters = {
  controls: { hideNoControlsWarning: true },
};

export const Status = () => `
  <h3>Unchecked</h3>
  <sas-checkbox checked='false' text='unchecked'></sas-checkbox>
  <h3>Checked</h3>
  <sas-checkbox checked='true' text='checked'></sas-checkbox>
  <h3>Disabled</h3>
  <sas-checkbox disabled='true' text='disabled'></sas-checkbox>
`;

Status.parameters = {
  controls: { hideNoControlsWarning: true },
};
