import { Component, Host, h, Prop, Element, Event, } from '@stencil/core';
import { keydownEvent } from '../../global/global';
export class SasChip {
  constructor() {
    /**
     * Type
     */
    this.type = 'default';
    /**
     * Status
     */
    this.status = 'open';
    /**
     * Outlined
     */
    this.outlined = false;
    /**
     * Adds close button
     */
    this.close = false;
    /**
     * Inside close button
     */
    this.inside = false;
    /**
     * Text
     */
    this.text = 'test';
    /**
     * Uppercase
     */
    this.uppercase = true;
    /**
     * bold
     */
    this.bold = true;
    this.closeElement = () => {
      this.chipUpdate.emit(this.text);
      this.chipupdate.emit(this.text);
    };
  }
  render() {
    return (h(Host, null,
      h("div", { class: "container" },
        h("div", { class: "text" }, this.text),
        this.close
          ? h("sas-icon", { tabindex: 0, type: "round", icon: "fas fa-times", onClick: this.closeElement, onKeyDown: keydownEvent })
          : null)));
  }
  static get is() { return "sas-chip"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["sas-chip.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["sas-chip.css"]
  }; }
  static get properties() { return {
    "type": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "'default' | 'small'",
        "resolved": "\"default\" | \"small\"",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Type"
      },
      "attribute": "type",
      "reflect": true,
      "defaultValue": "'default'"
    },
    "status": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "'open' | 'in-progress' | 'completed' | 'archived'",
        "resolved": "\"archived\" | \"completed\" | \"in-progress\" | \"open\"",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Status"
      },
      "attribute": "status",
      "reflect": true,
      "defaultValue": "'open'"
    },
    "outlined": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Outlined"
      },
      "attribute": "outlined",
      "reflect": true,
      "defaultValue": "false"
    },
    "close": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Adds close button"
      },
      "attribute": "close",
      "reflect": true,
      "defaultValue": "false"
    },
    "inside": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Inside close button"
      },
      "attribute": "inside",
      "reflect": true,
      "defaultValue": "false"
    },
    "text": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Text"
      },
      "attribute": "text",
      "reflect": true,
      "defaultValue": "'test'"
    },
    "uppercase": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Uppercase"
      },
      "attribute": "uppercase",
      "reflect": true,
      "defaultValue": "true"
    },
    "bold": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "bold"
      },
      "attribute": "bold",
      "reflect": true,
      "defaultValue": "true"
    }
  }; }
  static get events() { return [{
      "method": "chipUpdate",
      "name": "chipUpdate",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": "Emitted when the component close icon is clicked (will be deprecated)"
      },
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      }
    }, {
      "method": "chipupdate",
      "name": "chipupdate",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": "Emitted when the component close icon is clicked"
      },
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      }
    }]; }
  static get elementRef() { return "el"; }
}
