// sas-chip.stories.js
import readme from './readme.md';

export default {
  title: 'Basic/Chip',
  parameters: {
    notes: {
      markdown: readme,
    },
    actions: {
      handles: ['chipupdate', 'sas-chip'],
    },
  },
};

const typeOptions = ['default', 'small'];
const statusOptions = ['open', 'in-progress', 'completed', 'archived'];

export const Basic = (args) => `
  <sas-chip
    type="${args.type}"
    status="${args.status}"
    text="${args.text}"
    outlined="${args.outlined}"
    close="${args.close}"
    inside="${args.inside}"
    uppercase="${args.uppercase}"
    bold="${args.bold}"
  >
  </sas-chip>
`;

Basic.args = {
  type: 'default',
  status: 'open',
  text: 'chip',
  outlined: false,
  close: false,
  inside: false,
  uppercase: true,
  bold: true,
};

Basic.argTypes = {
  type: {
    control: {
      type: 'select',
      options: typeOptions,
    },
  },
  status: {
    control: {
      type: 'select',
      options: statusOptions,
    },
  },
};

export const Type = () => `
  <h3>Type default</h3>
  <sas-chip type="default" text="default"></sas-chip>
  <h3>Type small</h3>
  <sas-chip type="small" text="small"></sas-chip>
`;

Type.parameters = {
  controls: { hideNoControlsWarning: true },
};

export const Status = () => `
  <h3>Status open</h3>
  <sas-chip status="open" text="open"></sas-chip>
  <h3>Status in progress</h3>
  <sas-chip status="in-progress" text="in-progress"></sas-chip>
  <h3>Status completed</h3>
  <sas-chip status="completed" text="completed"></sas-chip>
  <h3>Status archived</h3>
  <sas-chip status="archived" text="archived"></sas-chip>
  <h3>Outlined</h3>
  <sas-chip outlined text="outlined"></sas-chip>
  <h3>Close</h3>
  <sas-chip close text="close"></sas-chip>
  <h3>Not Uppercase</h3>
  <sas-chip uppercase="false" text="close"></sas-chip>
  <h3>Not bold</h3>
  <sas-chip bold="false" text="close"></sas-chip>
`;

Status.parameters = {
  controls: { hideNoControlsWarning: true },
};
