import { Component, Host, h, Prop, Element, } from '@stencil/core';
/**
 * @slot default - default slot
 */
export class SasContainer {
  constructor() {
    /**
     * Grid template columns
     */
    this.gridTemplateColumns = '';
    /**
     * Grid template rows
     */
    this.gridTemplateRows = '';
    /**
     * Justify items
     */
    this.justifyItems = '';
    /**
     * Align items
     */
    this.alignItems = '';
  }
  componentWillRender() {
    const elementStyle = this.el.style;
    if (Boolean(this.gridTemplateColumns)) {
      elementStyle.setProperty('--grid-template-columns', this.gridTemplateColumns);
    }
    if (Boolean(this.gridTemplateRows)) {
      elementStyle.setProperty('--grid-template-rows', this.gridTemplateRows);
    }
    if (Boolean(this.justifyItems)) {
      elementStyle.setProperty('--justify-items', this.justifyItems);
    }
    if (Boolean(this.alignItems)) {
      elementStyle.setProperty('--align-items', this.alignItems);
    }
  }
  render() {
    return (h(Host, null,
      h("slot", null)));
  }
  static get is() { return "sas-container"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["sas-container.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["sas-container.css"]
  }; }
  static get properties() { return {
    "gridTemplateColumns": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Grid template columns"
      },
      "attribute": "grid-template-columns",
      "reflect": true,
      "defaultValue": "''"
    },
    "gridTemplateRows": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Grid template rows"
      },
      "attribute": "grid-template-rows",
      "reflect": true,
      "defaultValue": "''"
    },
    "justifyItems": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Justify items"
      },
      "attribute": "justify-items",
      "reflect": true,
      "defaultValue": "''"
    },
    "alignItems": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Align items"
      },
      "attribute": "align-items",
      "reflect": true,
      "defaultValue": "''"
    }
  }; }
  static get elementRef() { return "el"; }
}
