// sas-container.stories.js
import readme from './readme.md';

export default {
  title: 'Container/Container',
  parameters: {
    notes: {
      markdown: readme,
    },
  },
};

const gridTemplateColumnsOptions = [
  'none',
  'repeat(3, auto)',
  'repeat(auto-fill, minmax(100px, 1fr))',
];

const gridTemplateRowsOptions = [
  'none',
  'repeat(3, 100px)',
];

const justifyItemsOptions = [
  'start',
  'center',
  'end',
  'stretch',
];

const alignItemsOptions = [
  'start',
  'center',
  'end',
  'stretch',
];

export const Basic = (args) => `
  <sas-container
    grid-template-columns="${args.gridTemplateColumns}"
    grid-template-rows="${args.gridTemplateRows}"
    justify-items="${args.justifyItems}"
    align-items="${args.alignItems}"
  >
    <sas-button></sas-button>
    <sas-button></sas-button>
    <sas-button></sas-button>
    <sas-button></sas-button>
    <sas-button></sas-button>
    <sas-button></sas-button>
    <sas-button></sas-button>
    <sas-button></sas-button>
    <sas-button></sas-button>
  </sas-container>
`;

Basic.args = {
  gridTemplateColumns: 'repeat(auto-fill, minmax(100px, 1fr))',
  gridTemplateRows: 'none',
  justifyItems: 'center',
  alignItems: 'center',
};

Basic.argTypes = {
  gridTemplateColumns: {
    control: {
      type: 'select',
      options: gridTemplateColumnsOptions,
    },
  },
  gridTemplateRows: {
    control: {
      type: 'select',
      options: gridTemplateRowsOptions,
    },
  },
  justifyItems: {
    control: {
      type: 'select',
      options: justifyItemsOptions,
    },
  },
  alignItems: {
    control: {
      type: 'select',
      options: alignItemsOptions,
    },
  },
};
