// sas-date-field.stories.js
import readme from './readme.md';

export default {
  title: 'Higher Order/Date Field',
  parameters: {
    notes: {
      markdown: readme,
    },
    actions: {
      handles: ['datefieldupdate', 'sas-date-field'],
    },
  },
};

const positionOptions = ['top', 'bottom'];
const positionHOptions = ['left', 'right'];

export const Basic = (args) => `
  <sas-date-field
    label="${args.label}"
    outside= "${args.outside}"
    required="${args.required}"
    value="${args.value}"
    min="${args.min}"
    max="${args.max}"
    disabled="${args.disabled}"
    clear="${args.clear}"
    icon="${args.icon}"
    position="${args.position}"
    position-h="${args.positionH}"
  ></sas-date-field>
`;

Basic.args = {
  label: 'label',
  outside: false,
  required: false,
  value: '',
  min: '1900-01-01',
  max: '3000-12-31',
  disabled: false,
  clear: false,
  icon: 'far fa-calendar-alt',
  position: 'bottom',
  positionH: 'left',
};

Basic.argTypes = {
  position: {
    control: {
      type: 'select',
      options: positionOptions,
    },
  },
  positionH: {
    control: {
      type: 'select',
      options: positionHOptions,
    },
  },
};

export const Status = (args) => `
  <h3>Default</h3>
  <sas-date-field
    label="label"
  ></sas-date-field>

  <h3>Label outside</h3>
  <sas-date-field
    label="label outside"
    outside
  ></sas-date-field>

  <h3>Required</h3>
  <sas-date-field
    label="Required"
    required
  ></sas-date-field>

  <h3>Has min date (currently min is 15/03/2021)</h3>
  <sas-date-field
    label="Has min date"
    min="2021-03-15"
  ></sas-date-field>

  <h3>Has max date (currently max is 15/03/2022)</h3>
  <sas-date-field
    label="Has max date"
    max="2022-03-15"
  ></sas-date-field>

  <h3>Has clear icon</h3>
  <sas-date-field
    label="Has clear icon"
    clear
  ></sas-date-field>

  <h3>Disabled</h3>
  <sas-date-field
    label="Disabled"
    disabled
  ></sas-date-field>
`;
