// sas-date-range.stories.js
import readme from './readme.md';

export default {
  title: 'Higher Order/Date Range',
  parameters: {
    notes: {
      markdown: readme,
    },
    actions: {
      handles: ['daterangeupdate', 'sas-date-range'],
    },
  },
};

const positionOptions = ['top', 'bottom', null];

export const Basic = (args) => `
  <sas-date-range
    label="${args.label}"
    outside="${args.outside}"
    min="${args.min}"
    max="${args.max}"
    from="${args.from}"
    to="${args.to}"
    required="${args.required}"
    disabled="${args.disabled}"
    position="${args.position}"
  ></sas-date-range>
`;

Basic.args = {
  label: '',
  outside: false,
  min: '2020-01-01',
  max: '2030-12-31',
  from: '2020-03-07T00:00:00.000Z',
  to: '2020-12-12T00:00:00.000Z',
  required: false,
  disabled: false,
  position: null,
};

Basic.argTypes = {
  position: {
    control: {
      type: 'select',
      options: positionOptions,
    },
  },
};
