// sas-dropdown.stories.js
import readme from './readme.md';

export default {
  title: 'Higher Order/Dropdown',
  parameters: {
    notes: {
      markdown: readme,
    },
  },
};

const positionVOptions = ['top', 'bottom'];
const positionHOptions = ['left', 'right'];

export const Basic = (args) => `
  <sas-dropdown
    block="${args.block}"
    position-v="${args.positionV}"
    position-h="${args.positionH}"
  >
    <sas-icon tabindex="0" class="icon-header" slot="control" icon="fas fa-plus"></sas-icon>
    <sas-list slot="menu">
      <sas-list-item
        icon="fas fa-adjust"
        text="list-item-1"
      ></sas-list-item>
      <sas-list-item
        icon="fas fa-adjust"
        text="list-item-2"
      ></sas-list-item>
      <sas-list-item
        icon="fas fa-adjust"
        text="list-item-3"
      ></sas-list-item>
    </sas-list>
  </sas-dropdown>
`;

Basic.args = {
  block: false,
  positionV: 'bottom',
  positionH: 'right',
};

Basic.argTypes = {
  positionV: {
    control: {
      type: 'select',
      options: positionVOptions,
    },
  },
  positionH: {
    control: {
      type: 'select',
      options: positionHOptions,
    },
  },
};
