// sas-form.stories.js
import readme from './readme.md';

export default {
  title: 'Higher Order/Form',
  parameters: {
    notes: {
      markdown: readme,
    },
  },
};

export const Basic = () => `
  <sas-form
    method="POST"
    url="https://exampleurl.com"
  >
    <sas-input label="Name" placeholder="Please input name" name="name" required></sas-input>
    <sas-upload style="margin: 10px 0;" name="file" required></sas-upload>
    <sas-button text="Reset" onclick="reset()"></sas-button>
    <sas-button text="Submit" onclick="submit()"></sas-button>
  </sas-form>
  <script>
    function reset() {
      const formElement = document.querySelector('sas-form');
      formElement.reset();
    }    
    async function submit() {
      const formElement = document.querySelector('sas-form');
      const result = await formElement.submit();
      if (result === "Invalid input") {
        alert("Invalid input");
      } else if (result === "Submit failed") {
        alert("Submit failed");
      } else {
        alert("Success");
      }
    }  
  </script>
`;

Basic.parameters = {
  controls: { hideNoControlsWarning: true },
};
