import { Component, Host, h, Prop, } from '@stencil/core';
/**
 * @slot default - default slot
 */
export class SasIcon {
  constructor() {
    /**
     * Type
     */
    this.type = 'default';
    /**
     * Size, only works with type default
     */
    this.size = 'default';
    /**
     * Meter status, only works with type meter
     */
    this.status = 'high';
    /**
     * Icon
     */
    this.icon = null;
    /**
     * Icon Index
     */
    this.index = -1;
  }
  render() {
    return (h(Host, null,
      h("div", { class: "container" },
        h("i", { class: this.icon }),
        h("slot", null))));
  }
  static get is() { return "sas-icon"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["sas-icon.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["sas-icon.css"]
  }; }
  static get properties() { return {
    "type": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "'default' | 'round' | 'round-alt' | 'meter'",
        "resolved": "\"default\" | \"meter\" | \"round\" | \"round-alt\"",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Type"
      },
      "attribute": "type",
      "reflect": true,
      "defaultValue": "'default'"
    },
    "size": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "'default' | 'large'",
        "resolved": "\"default\" | \"large\"",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Size, only works with type default"
      },
      "attribute": "size",
      "reflect": true,
      "defaultValue": "'default'"
    },
    "status": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "'high' | 'medium' | 'low'",
        "resolved": "\"high\" | \"low\" | \"medium\"",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Meter status, only works with type meter"
      },
      "attribute": "status",
      "reflect": true,
      "defaultValue": "'high'"
    },
    "icon": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Icon"
      },
      "attribute": "icon",
      "reflect": true,
      "defaultValue": "null"
    },
    "index": {
      "type": "number",
      "mutable": false,
      "complexType": {
        "original": "number",
        "resolved": "number",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Icon Index"
      },
      "attribute": "index",
      "reflect": false,
      "defaultValue": "-1"
    }
  }; }
}
