// icon.stories.js
import readme from './readme.md';

export default {
  title: 'Basic/Icon',
  parameters: {
    notes: {
      markdown: readme,
    },
  },
};

const typeOptions = ['default', 'round', 'round-alt', 'meter'];
const sizeOptions = ['default', 'large'];
const statusOptions = ['high', 'medium', 'low'];

export const Basic = (args) => `
  <sas-icon 
    type="${args.type}"
    size="${args.size}"
    status="${args.status}"
    icon="${args.icon}"
  >
  </sas-icon>
`;

Basic.args = {
  type: 'default',
  size: 'default',
  status: 'high',
  icon: 'fas fa-cog',
};

Basic.argTypes = {
  type: {
    control: {
      type: 'select',
      options: typeOptions,
    },
  },
  size: {
    control: {
      type: 'select',
      options: sizeOptions,
    },
  },
  status: {
    control: {
      type: 'select',
      options: statusOptions,
    },
  },
};

export const Type = () => `
  <h3>Type default, Size default</h3>
  <sas-icon type="default" icon="fas fa-cog"></sas-icon>
  <h3>Type default, Size large</h3>
  <sas-icon type="default" size="large" icon="fas fa-cog"></sas-icon>
  <h3>Type round</h3>
  <sas-icon type="round" icon="fas fa-cog"></sas-icon>
  <h3>Type round alt</h3>
  <sas-icon type="round-alt" icon="fas fa-cog"></sas-icon>
  <h3>Type meter</h3>
  <h5>Status high</h5>
  <sas-icon type="meter" status="high" icon="fas fa-user-clock"></sas-icon>
  <h5>Status medium</h5>
  <sas-icon type="meter" status="medium" icon="fas fa-user-clock"></sas-icon>
  <h5>Status low</h5>
  <sas-icon type="meter" status="low" icon="fas fa-user-clock"></sas-icon>
`;

Type.parameters = {
  controls: { hideNoControlsWarning: true },
};
