// sas-list-item.stories.js
import readme from './readme.md';

export default {
  title: 'Basic/List Item',
  parameters: {
    notes: {
      markdown: readme,
    },
    actions: {
      handles: ['listItemClicked', 'sas-list-item'],
    },
  },
};

const subtextPositionOptions = ['bottom', 'right']

export const Basic = (args) => `
  <sas-list-item
    icon="${args.icon}"
    value="${args.value}"
    text="${args.text}"
    subtext="${args.subtext}"
    subtext-position="${args.subtextPosition}"
    icon-right="${args.iconRight}"
    href="${args.href}"
    target="${args.target}"
    disabled="${args.disabled}"
  >
  </sas-list-item>
`;

Basic.args = {
  icon: 'fas fa-adjust',
  value: 'value',
  text: 'List Item',
  subtext: 'List item sub text',
  subtextPosition: 'bottom',
  iconRight: 'fas fa-arrow-right',
  href: 'https://www.google.com/',
  target: '_blank',
  disabled: false,
};

Basic.argTypes = {
  subtextPosition: {
    control: {
      type: 'select',
      options: subtextPositionOptions,
    },
  },
};

export const Status = (args) => `
  <h3>Title only</h3>
  <sas-list-item
    text="Title"
  >
  </sas-list-item>
  <h3>Title and bottom sub title</h3>
  <sas-list-item
    text="Title"
    subtext="Sub title"
    subtext-position="bottom"
  >
  </sas-list-item>
  <h3>Title and right sub title</h3>
  <sas-list-item
    text="Title"
    subtext="Sub title"
    subtext-position="right"
  >
  </sas-list-item>
  <h3>Left icon</h3>
  <sas-list-item
    icon="fas fa-adjust"
    text="Has left icon"
  >
  </sas-list-item>
  <h3>Right icon</h3>
  <sas-list-item
    text="Has right icon"
    icon-right="fas fa-adjust"
  >
  </sas-list-item>
  <h3>Link</h3>
  <sas-list-item
    text="Link"
    href="https://www.google.com/"
    target="_blank"
  >
  </sas-list-item>
`;
