// sas-list.stories.js
import readme from './readme.md';

export default {
  title: 'Container/List',
  parameters: {
    notes: {
      markdown: readme,
    },
  },
};

export const Basic = (args) => `
  <div style="border:1px solid black">
    <sas-list
      toggle="${args.toggle}"
      compact="${args.compact}"
    >
      <sas-sublist text="sublist1">
        <sas-list-item value="11" text="sub-list-item-1.1"></sas-list-item>
        <sas-list-item value="12" text="sub-list-item-1.2"></sas-list-item>
        <sas-list-item value="13" text="sub-list-item-1.3"></sas-list-item>
      </sas-sublist>
      <sas-sublist text="sublist2">
        <sas-list-item value="21" text="sub-list-item-2.1"></sas-list-item>
        <sas-list-item value="22" text="sub-list-item-2.2"></sas-list-item>
        <sas-list-item value="23" text="sub-list-item-2.3"></sas-list-item>
      </sas-sublist>
      <sas-sublist text="sublist3">
        <sas-list-item value="31" text="sub-list-item-3.1"></sas-list-item>
        <sas-list-item value="32" text="sub-list-item-3.2"></sas-list-item>
        <sas-list-item value="33" text="sub-list-item-3.3"></sas-list-item>
      </sas-sublist>
    </sas-list>
  <div>
`;

Basic.args = {
  toggle: true,
  compact: false,
};

export const Status = (args) => `
  <h3>Default</h3>
  <div style="border:1px solid black">
    <sas-list>
      <sas-sublist text="sublist1">
        <sas-list-item value="11" text="sub-list-item-1.1"></sas-list-item>
        <sas-list-item value="12" text="sub-list-item-1.2"></sas-list-item>
        <sas-list-item value="13" text="sub-list-item-1.3"></sas-list-item>
      </sas-sublist>
      <sas-sublist text="sublist2">
        <sas-list-item value="21" text="sub-list-item-2.1"></sas-list-item>
        <sas-list-item value="22" text="sub-list-item-2.2"></sas-list-item>
        <sas-list-item value="23" text="sub-list-item-2.3"></sas-list-item>
      </sas-sublist>
      <sas-sublist text="sublist3">
        <sas-list-item value="31" text="sub-list-item-3.1"></sas-list-item>
        <sas-list-item value="32" text="sub-list-item-3.2"></sas-list-item>
        <sas-list-item value="33" text="sub-list-item-3.3"></sas-list-item>
      </sas-sublist>
    </sas-list>
  </div>
  <h3>Toggle</h3>
  <div style="border:1px solid black">
    <sas-list toggle>
      <sas-sublist text="sublist1">
        <sas-list-item value="11" text="sub-list-item-1.1"></sas-list-item>
        <sas-list-item value="12" text="sub-list-item-1.2"></sas-list-item>
        <sas-list-item value="13" text="sub-list-item-1.3"></sas-list-item>
      </sas-sublist>
      <sas-sublist text="sublist2">
        <sas-list-item value="21" text="sub-list-item-2.1"></sas-list-item>
        <sas-list-item value="22" text="sub-list-item-2.2"></sas-list-item>
        <sas-list-item value="23" text="sub-list-item-2.3"></sas-list-item>
      </sas-sublist>
      <sas-sublist text="sublist3">
        <sas-list-item value="31" text="sub-list-item-3.1"></sas-list-item>
        <sas-list-item value="32" text="sub-list-item-3.2"></sas-list-item>
        <sas-list-item value="33" text="sub-list-item-3.3"></sas-list-item>
      </sas-sublist>
    </sas-list>
  </div>
  <h3>Compact</h3>
  <div style="border:1px solid black">
    <sas-list toggle compact>
      <sas-sublist text="sublist1">
        <sas-list-item value="11" text="sub-list-item-1.1"></sas-list-item>
        <sas-list-item value="12" text="sub-list-item-1.2"></sas-list-item>
        <sas-list-item value="13" text="sub-list-item-1.3"></sas-list-item>
      </sas-sublist>
      <sas-sublist text="sublist2">
        <sas-list-item value="21" text="sub-list-item-2.1"></sas-list-item>
        <sas-list-item value="22" text="sub-list-item-2.2"></sas-list-item>
        <sas-list-item value="23" text="sub-list-item-2.3"></sas-list-item>
      </sas-sublist>
      <sas-sublist text="sublist3">
        <sas-list-item value="31" text="sub-list-item-3.1"></sas-list-item>
        <sas-list-item value="32" text="sub-list-item-3.2"></sas-list-item>
        <sas-list-item value="33" text="sub-list-item-3.3"></sas-list-item>
      </sas-sublist>
    </sas-list>
  </div>
`;
