// sas-menu-bar.stories.js
import readme from './readme.md';

export default {
  title: 'Container/Menu Bar',
  parameters: {
    notes: {
      markdown: readme,
    },
  },
};

export const Basic = (args) => `
  <sas-menu-bar
    sticky="${args.sticky}"
  >
    <div slot="bulk-action">
      <sas-select>
        <sas-list>
          <sas-list-item value="1" text="list-item-1"></sas-list-item>
          <sas-list-item value="2" text="list-item-2"></sas-list-item>
          <sas-list-item value="3" text="list-item-3"></sas-list-item>
        </sas-list>
      </sas-select>
      <sas-button></sas-button>
    </div>
    <div slot="search">
      <sas-input icon-left="fas fa-search" slot="search"></sas-input>
    </div>
    <div slot="filter">
      <sas-select label="select-1">
        <sas-list>
          <sas-list-item value="1" text="list-item-1"></sas-list-item>
          <sas-list-item value="2" text="list-item-2"></sas-list-item>
          <sas-list-item value="3" text="list-item-3"></sas-list-item>
        </sas-list>
      </sas-select>
      <sas-select label="select-2">
        <sas-list>
          <sas-list-item value="1" text="list-item-1"></sas-list-item>
          <sas-list-item value="2" text="list-item-2"></sas-list-item>
          <sas-list-item value="3" text="list-item-3"></sas-list-item>
        </sas-list>
      </sas-select>
      <sas-select label="select-3">
        <sas-list>
          <sas-list-item value="1" text="list-item-1"></sas-list-item>
          <sas-list-item value="2" text="list-item-2"></sas-list-item>
          <sas-list-item value="3" text="list-item-3"></sas-list-item>
        </sas-list>
      </sas-select>
      <sas-select label="select-4">
        <sas-list>
          <sas-list-item value="1" text="list-item-1"></sas-list-item>
          <sas-list-item value="2" text="list-item-2"></sas-list-item>
          <sas-list-item value="3" text="list-item-3"></sas-list-item>
        </sas-list>
      </sas-select>
      <sas-select label="select-5">
        <sas-list>
          <sas-list-item value="1" text="list-item-1"></sas-list-item>
          <sas-list-item value="2" text="list-item-2"></sas-list-item>
          <sas-list-item value="3" text="list-item-3"></sas-list-item>
        </sas-list>
      </sas-select>
      <sas-select label="select-6">
        <sas-list>
          <sas-list-item value="1" text="list-item-1"></sas-list-item>
          <sas-list-item value="2" text="list-item-2"></sas-list-item>
          <sas-list-item value="3" text="list-item-3"></sas-list-item>
        </sas-list>
      </sas-select>
    </div>
    <div slot="button-list">
      <sas-button></sas-button>
    </div>
  </sas-menu-bar>
`;

Basic.args = {
  sticky: false,
};
