import { 
// eslint-disable-next-line no-unused-vars
Component, Host, h, Prop, } from '@stencil/core';
/**
 * @slot account-menu - used for account menu content
 * @slot notice-menu - used for notice menu content
 * @slot user-menu - used for user menu content
 */
export class SasNavigationTop {
  constructor() {
    /**
     * Farm name
     */
    this.name = 'Farm Name';
    /**
     * User name
     */
    this.user = 'Jesse Pinkman';
    /**
     * User image
     */
    this.src = '';
  }
  render() {
    return (h(Host, null,
      h("div", { class: "container" },
        h("div", { class: "dropdown" },
          h("sas-dropdown", null,
            h("sas-icon", { tabindex: 0, class: "icon-header", slot: "control", icon: "fas fa-border-all" }),
            h("slot", { name: "account-menu", slot: "menu" }))),
        h("div", { class: "title" }, this.name),
        h("div", { class: "dropdown" },
          h("sas-dropdown", null,
            h("sas-icon", { tabindex: 0, class: "icon-header-2", slot: "control", icon: "fas fa-bell" }),
            h("slot", { name: "notice-menu", slot: "menu" }))),
        h("div", { class: "user" }, this.user),
        h("div", { class: "dropdown" },
          h("sas-dropdown", null,
            h("sas-avatar", { name: this.user, src: this.src, slot: "control" }),
            h("slot", { name: "user-menu", slot: "menu" }))))));
  }
  static get is() { return "sas-navigation-top"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["sas-navigation-top.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["sas-navigation-top.css"]
  }; }
  static get properties() { return {
    "name": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Farm name"
      },
      "attribute": "name",
      "reflect": true,
      "defaultValue": "'Farm Name'"
    },
    "user": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "User name"
      },
      "attribute": "user",
      "reflect": true,
      "defaultValue": "'Jesse Pinkman'"
    },
    "src": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "User image"
      },
      "attribute": "src",
      "reflect": true,
      "defaultValue": "''"
    }
  }; }
}
