// sas-navigation-top.stories.js
import readme from './readme.md';

export default {
  title: 'Higher Order/Navigation Top',
  parameters: {
    notes: {
      markdown: readme,
    },
  },
};

export const Basic = (args) => `
  <sas-navigation-top
    name="${args.name}"
    user="${args.user}"
    src="${args.src}"
  >
    <sas-list slot="account-menu">
      <sas-list-item
        icon="fas fa-adjust"
        text="list-item-1"
        subtext="sub-list-item-1"
        icon-right="fas fa-chevron-right"
      ></sas-list-item>
      <sas-list-item
        icon="fas fa-adjust"
        text="list-item-2"
        subtext="sub-list-item-2"
        icon-right="fas fa-chevron-right"
      >
      </sas-list-item>
      <sas-list-item
        icon="fas fa-adjust"
        text="list-item-3"
        subtext="sub-list-item-3"
        icon-right="fas fa-chevron-right"
      ></sas-list-item>
    </sas-list>
    <sas-list slot="notice-menu">
      <sas-list-item
        icon="fas fa-adjust"
        text="list-item-4"
      ></sas-list-item>
      <sas-list-item
        icon="fas fa-adjust"
        text="list-item-5"
      >
      </sas-list-item>
      <sas-list-item
        icon="fas fa-adjust"
        text="list-item-6"
        iconRight="chevron-down"
      ></sas-list-item>
    </sas-list>
    <sas-list slot="user-menu">
      <sas-list-item
        icon="fas fa-adjust"
        text="list-item-7"
      ></sas-list-item>
      <sas-list-item
        icon="fas fa-adjust"
        text="list-item-8"
      >
      </sas-list-item>
      <sas-list-item
        icon="fas fa-adjust"
        text="list-item-9"
      ></sas-list-item>
    </sas-list>
  </sas-navigation-top>
`;

Basic.args = {
  name: 'Farm Name',
  user: 'Jesse Pinkman',
  src: 'https://cdn.vuetifyjs.com/images/john.jpg',
};
