// sas-pagination.stories.js
import readme from './readme.md';

export default {
  title: 'Higher Order/Pagination',
  parameters: {
    notes: {
      markdown: readme,
    },
    actions: {
      handles: ['paginationupdate', 'sas-pagination'],
    },
  },
};

export const Basic = (args) => `
  <sas-pagination
    total-page="${args.totalPage}"
    total-index="${args.totalIndex}"
    current-page="${args.currentPage}"
  >
  </sas-pagination>
`;

Basic.args = {
  totalPage: 100,
  totalIndex: 9,
  currentPage: 0,
};

export const Status = (args) => `
  <h3>Set total page (currently is 20)</h3>
  <sas-pagination
    total-page="20"
  ></sas-pagination>

  <h3>Set total displayed index (currently is 7, odd number only)</h3>
  <sas-pagination
    total-page="20"
    total-index="7"
  ></sas-pagination>

  <h3>Set current page (currently is 5, index starts from 0)</h3>
  <sas-pagination
    total-page="20"
    total-index="7"
    current-page="5"
  ></sas-pagination>
`;
