// radio.stories.js
import readme from './readme.md';

export default {
  title: 'Basic/Radio',
  parameters: {
    notes: {
      markdown: readme,
    },
    actions: {
      handles: ['radioUpdate', 'sas-radio'],
    },
  },
};

const alignOptions = ['left', 'right', 'space-between'];
const textPositionOptions = ['left', 'right'];

export const Basic = (args) => `
  <sas-radio
    align='${args.align}'
    text='${args.text}'
    text-position='${args.textPosition}'
    checked='${args.checked}'
    disabled='${args.disabled}'
  ></sas-radio>
`;

Basic.args = {
  align: 'left',
  text: 'radio',
  textPosition: 'right',
  checked: false,
  disabled: false,
};

Basic.argTypes = {
  align: {
    control: {
      type: 'select',
      options: alignOptions,
    },
  },
  textPosition: {
    control: {
      type: 'select',
      options: textPositionOptions,
    },
  },
};

export const Display = () => `
  <h3>Text position left</h3>
  <h5>Align left</h5>
  <sas-radio text-position='left' align='left' text='radio'></sas-radio>
  <h5>Align right</h5>
  <sas-radio text-position='left' align='right' text='radio'></sas-radio>
  <h5>Align space between</h5>
  <sas-radio text-position='left' align='space-between' text='radio'></sas-radio>
  <h3>Text position right</h3>
  <h5>Align left</h5>
  <sas-radio text-position='right' align='left' text='radio'></sas-radio>
  <h5>Align right</h5>
  <sas-radio text-position='right' align='right' text='radio'></sas-radio>
  <h5>Align space between</h5>
  <sas-radio text-position='right' align='space-between' text='radio'></sas-radio>  
`;

Display.parameters = {
  controls: { hideNoControlsWarning: true },
};

export const Status = () => `
  <h3>Unchecked</h3>  
  <sas-radio checked='false' text='unchecked'></sas-radio>
  <h3>Checked</h3>  
  <sas-radio checked='true' text='checked'></sas-radio>
  <h3>Disabled</h3>  
  <sas-radio disabled='true' text='disabled'></sas-radio>
`;

Status.parameters = {
  controls: { hideNoControlsWarning: true },
};
