// sas-stepper.stories.js
import readme from './readme.md';

export default {
  title: 'Higher Order/Stepper',
  parameters: {
    notes: {
      markdown: readme,
    },
    actions: {
      handles: ['stepperUpdate', 'sas-stepper'],
    },
  },
};

export const Basic = (args) => `
  <sas-stepper
    total='${args.total}'
    current='${args.current}'
  ></sas-stepper>
`;

Basic.args = {
  total: 10,
  current: 0,
};

export const Status = () => `
  <h3>Set total steps (currently is 5)</h3>
  <sas-stepper
    total="5"
  ></sas-stepper>

  <h3>Set current step (currently is 3, index starts from 0)</h3>
  <sas-stepper
    current="3"
  ></sas-stepper>
`;
