// switch.stories.js
import {
  withKnobs,
} from '@storybook/addon-knobs';
import readme from './readme.md';

export default {
  title: 'Basic/Switch',
  decorators: [withKnobs],
  parameters: {
    notes: {
      markdown: readme,
    },
    actions: {
      handles: ['switchUpdate', 'sas-switch'],
    },
  },
};

export const Basic = (args) => `
  <sas-switch
    checked="${args.checked}"
  ></sas-switch>
`;

Basic.args = {
  checked: false,
};

export const Status = (args) => `
  <h3>Checked</h3>  
  <sas-switch checked></sas-switch>
  <h3>Unchecked</h3>  
  <sas-switch></sas-switch>
`;

Status.parameters = {
  controls: { hideNoControlsWarning: true },
};
