import { Component, Host, h, Prop, Event, } from '@stencil/core';
import { keydownEvent, removeFocus } from '../../global/global';
export class SasTabItem {
  constructor() {
    /**
     * Value
     */
    this.value = '';
    /**
     * Text
     */
    this.text = '';
    this.clickEvent = () => {
      const obj = {
        value: this.value,
        text: this.text,
      };
      this.tabItemClicked.emit(obj);
    };
  }
  render() {
    return (h(Host, { tabindex: 0, onClick: this.clickEvent, onKeyDown: keydownEvent, onMouseUp: removeFocus },
      h("div", { class: "container" }, this.text)));
  }
  static get is() { return "sas-tab-item"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["sas-tab-item.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["sas-tab-item.css"]
  }; }
  static get properties() { return {
    "value": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Value"
      },
      "attribute": "value",
      "reflect": true,
      "defaultValue": "''"
    },
    "text": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Text"
      },
      "attribute": "text",
      "reflect": true,
      "defaultValue": "''"
    }
  }; }
  static get events() { return [{
      "method": "tabItemClicked",
      "name": "tabItemClicked",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": "Emitted when the component is clicked by user"
      },
      "complexType": {
        "original": "object",
        "resolved": "object",
        "references": {}
      }
    }]; }
}
