import { Component, Host, h, Element, Listen, Event, } from '@stencil/core';
/**
 * @slot default - used for tab items
 */
export class SasTab {
  tabItemClickedHandler(event) {
    this.addActiveClass(event.detail.value);
    this.tabUpdate.emit(event.detail);
    this.tabupdate.emit(event.detail);
  }
  addActiveClass(value) {
    const tabItems = this.el.querySelectorAll('sas-tab-item');
    tabItems.forEach((tabItem) => {
      if (tabItem.value === value) {
        tabItem.classList.add('tab-active');
      }
      else {
        tabItem.classList.remove('tab-active');
      }
    });
  }
  render() {
    return (h(Host, null,
      h("div", { class: "container" },
        h("slot", null))));
  }
  static get is() { return "sas-tab"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["sas-tab.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["sas-tab.css"]
  }; }
  static get events() { return [{
      "method": "tabUpdate",
      "name": "tabUpdate",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": "Emitted when the tab item is clicked by user (will be deprecated)"
      },
      "complexType": {
        "original": "number",
        "resolved": "number",
        "references": {}
      }
    }, {
      "method": "tabupdate",
      "name": "tabupdate",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": "Emitted when the tab item is clicked by user"
      },
      "complexType": {
        "original": "number",
        "resolved": "number",
        "references": {}
      }
    }]; }
  static get elementRef() { return "el"; }
  static get listeners() { return [{
      "name": "tabItemClicked",
      "method": "tabItemClickedHandler",
      "target": undefined,
      "capture": false,
      "passive": false
    }]; }
}
