// sas-time-field.stories.js
import readme from './readme.md';

export default {
  title: 'Higher Order/Time Field',
  parameters: {
    notes: {
      markdown: readme,
    },
    actions: {
      handles: ['timefieldupdate', 'sas-time-field'],
    },
  },
};

const positionOptions = ['top', 'bottom', null];

export const Basic = (args) => {
  let sasTimeField = document.createElement('sas-time-field');
  sasTimeField.label = args.label;
  sasTimeField.outside = args.outside;
  sasTimeField.value = args.value;
  sasTimeField.min = args.min;
  sasTimeField.max = args.max;
  sasTimeField.disabled = args.disabled;
  sasTimeField.clear = args.clear;
  sasTimeField.required = args.required;
  sasTimeField.position = args.position;
  return sasTimeField;
}

Basic.args = {
  label: 'label',
  outside: false,
  value: '',
  min: '09:00',
  max: '17:00',
  disabled: false,
  clear: false,
  required: false,
  position: null,
};

Basic.argTypes = {
  position: {
    control: {
      type: 'select',
      options: positionOptions,
    },
  },
};

export const Status = (args) => `
  <h3>Default</h3>
  <sas-time-field
    label="label"
  ></sas-time-field>

  <h3>Label outside</h3>
  <sas-time-field
    label="label outside"
    outside
  ></sas-time-field>

  <h3>Required</h3>
  <sas-time-field
    label="Required"
    required
  ></sas-time-field>

  <h3>Has min time (currently min is 09:00, only works when validate)</h3>
  <sas-time-field
    label="Has min time"
    min="09:00"
  ></sas-time-field>

  <h3>Has max time (currently max is 17:00, only works when validate)</h3>
  <sas-time-field
    label="Has max time"
    max="17:00"
  ></sas-time-field>

  <h3>Has clear icon</h3>
  <sas-time-field
    label="Has clear icon"
    clear
  ></sas-time-field>

  <h3>Disabled</h3>
  <sas-time-field
    label="Disabled"
    disabled
  ></sas-time-field>
`;