// sas-upload.stories.js
import readme from './readme.md';

export default {
  title: 'Higher Order/Upload',
  parameters: {
    notes: {
      markdown: readme,
    },
  },
};

const typeOptions = ['default', 'image', 'doc']

export const Basic = (args) => `
  <sas-upload
    type="${args.type}"
    accept="${args.accept}"
    compact="${args.compact}"
    input-outside="${args.inputOutside}"
    label="${args.label}"
    max="${args.max}"
    size="${args.size}"
    disabled="${args.disabled}"
  ></sas-upload>
`;

Basic.args = {
  type: 'default',
  accept: '',
  compact: false,
  inputOutside: false,
  label: 'Label',
  max: 5,
  size: 30,
  disabled: false,
};

Basic.argTypes = {
  type: {
    control: {
      type: 'select',
      options: typeOptions,
    },
  },
};

export const Type = () => `
  <h3>Type default</h3>
  <sas-upload
    type="default"
  ></sas-upload>

  <h3>Type image</h3>
  <sas-upload
    type="image"
  ></sas-upload>

  <h3>Type doc</h3>
  <sas-upload
    type="doc"
  ></sas-upload>
`;

export const Status = () => `
  <h3>Default</h3>
  <sas-upload></sas-upload>

  <h3>Compact</h3>
  <h5>Add some files to see difference</h3>
  <sas-upload compact></sas-upload>

  <h3>Full image</h3>
  <h5>Add some files to see difference</h3>
  <sas-upload full-image></sas-upload>

  <h3>Input outside</h3>
  <h5>Add some files to see difference</h3>
  <sas-upload input-outside></sas-upload>

  <h3>Custom input outside</h3>
  <h5>Add some files to see difference</h3>
  <sas-upload input-outside>
    <sas-icon icon="far fa-paperclip"></sas-icon>
  </sas-upload>

  <h3>Set max file number (currently max is 3)</h3>
  <h5>Add some files to see how it works</h3>
  <sas-upload max="3"></sas-upload>

  <h3>Set max file size (unit is mb, currently max size is 3mb)</h3>
  <h5>Add some files to see how it works</h3>
  <sas-upload max="3"></sas-upload>

  <h3>Disabled</h3>
  <sas-upload disabled></sas-upload>
`;
