// sas-user-card.stories.js
import readme from './readme.md';

export default {
  title: 'Higher Order/User Card',
  parameters: {
    notes: {
      markdown: readme,
    },
  },
};

const statusOptions = ['ACTIVE', 'INACTIVE', 'ARCHIVED'];

export const Basic = (args) => `
  <sas-user-card
    block="${args.block}"
    name="${args.name}"
    position="${args.position}"
    status="${args.status}"
    src="${args.src}"
    badge="${args.badge}"
    attachment="${args.attachment}"
  >
    <sas-list slot="list">
      <sas-list-item
        icon="fas fa-adjust"
        text="list-item-1"
        iconRight="fas fa-chevron-down"
      ></sas-list-item>
      <sas-list-item
        icon="fas fa-adjust"
        text="list-item-2"
        iconRight="fas fa-chevron-down"
      ></sas-list-item>
      <sas-list-item
        icon="fas fa-adjust"
        text="list-item-3"
        iconRight="fas fa-chevron-down"
      ></sas-list-item>
    </sas-list>
  </sas-user-card>
`;

Basic.args = {
  block: false,
  name: 'Walter White',
  position: 'Business Administrator',
  status: 'ACTIVE',
  src: 'https://cdn.vuetifyjs.com/images/john.jpg',
  badge: true,
  attachment: true,
};

Basic.argTypes = {
  status: {
    control: {
      type: 'select',
      options: statusOptions,
    },
  },
};

export const Status = () => `
<h3>Status ACTIVE</h3>
<sas-user-card
    name="Walter White"
    position="Business Administrator"
    status="ACTIVE"
    src="https://cdn.vuetifyjs.com/images/john.jpg"
  ></sas-user-card>

  <h3>Status INACTIVE</h3>
  <sas-user-card
    name="Walter White"
    position="Business Administrator"
    status="INACTIVE"
    src="https://cdn.vuetifyjs.com/images/john.jpg"
  ></sas-user-card>

  <h3>Status ARCHIVED</h3>
  <sas-user-card
    name="Walter White"
    position="Business Administrator"
    status="ARCHIVED"
    src="https://cdn.vuetifyjs.com/images/john.jpg"
  ></sas-user-card>
`;

Status.parameters = {
  controls: { hideNoControlsWarning: true },
};
