import { r as registerInstance, h, H as Host } from './index-82af0817.js';

const sasBadgeCss = ":host .container{display:inline-flex;position:relative;align-items:center;justify-content:space-between}:host .badge{display:inline-flex;position:absolute;top:-2px;left:calc(100% - 7px);background-color:var(--badge-background-color, var(--li-2));border:1px solid var(--badge-border);border-radius:50%;box-shadow:var(--badge-box-shadow);font-size:var(--badge-font-size, 8px);font-weight:bold;justify-content:center;align-items:center;color:var(--badge-color, var(--badge-text));padding:0 5px}:host([type=indicator]) .badge{width:2px;height:12px}:host([type=indicator][status=online]) .badge{background-color:var(--badge-online-background)}:host([type=notification]) .badge{min-width:4px;height:14px;border-radius:10px;left:calc(100% - 9px)}:host([type=notification][number=\"0\"]) .badge{opacity:0}:host([inline]:not([inline=false])) .container{display:flex}:host([inline]:not([inline=false])) .badge{position:initial}";

let SasBadge = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /**
     * Type
     */
    this.type = 'indicator';
    /**
     * Indicator status, only works with type indicator
     */
    this.status = 'online';
    /**
     * Notification number, only works with type notification
     */
    this.number = 0;
    /**
     * Moves the badge to be inline with the wrapping element
     */
    this.inline = false;
  }
  getNumber() {
    if (this.type === 'indicator') {
      return '';
    }
    return this.number;
  }
  render() {
    return (h(Host, null, h("div", { class: "container" }, h("slot", null), h("span", { class: "badge" }, this.getNumber()))));
  }
};
SasBadge.style = sasBadgeCss;

export { SasBadge as sas_badge };
