import { r as registerInstance, c as createEvent, h, H as Host } from './index-82af0817.js';
import { k as keydownEvent, r as removeFocus } from './global-8d66eb74.js';

const sasTabItemCss = ":host{display:inline-block}:host .container{display:inline-block;font-size:16px;font-weight:normal;border-bottom:var(--tab-item-border-bottom, 3px solid transparent);color:var(--tab-item-color, --s-500);padding:24px 0;margin-right:60px;cursor:pointer;position:relative}:host(:hover) .container{color:var(--s-600)}";

let SasTabItem = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.tabItemClicked = createEvent(this, "tabItemClicked", 7);
    /**
     * Value
     */
    this.value = '';
    /**
     * Text
     */
    this.text = '';
    this.clickEvent = () => {
      const obj = {
        value: this.value,
        text: this.text,
      };
      this.tabItemClicked.emit(obj);
    };
  }
  render() {
    return (h(Host, { tabindex: 0, onClick: this.clickEvent, onKeyDown: keydownEvent, onMouseUp: removeFocus }, h("div", { class: "container" }, this.text)));
  }
};
SasTabItem.style = sasTabItemCss;

export { SasTabItem as sas_tab_item };
