import { r as registerInstance, c as createEvent, h, H as Host, g as getElement } from './index-82af0817.js';

const sasTabCss = ":host{display:block}:host .container{display:block;border-bottom:1px solid var(--s-200)}::slotted(sas-tab-item.tab-active){--tab-item-border-bottom:3px solid var(--primary);--tab-item-color:var(--s-600)}";

let SasTab = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.tabUpdate = createEvent(this, "tabUpdate", 7);
    this.tabupdate = createEvent(this, "tabupdate", 7);
  }
  tabItemClickedHandler(event) {
    this.addActiveClass(event.detail.value);
    this.tabUpdate.emit(event.detail);
    this.tabupdate.emit(event.detail);
  }
  addActiveClass(value) {
    const tabItems = this.el.querySelectorAll('sas-tab-item');
    tabItems.forEach((tabItem) => {
      if (tabItem.value === value) {
        tabItem.classList.add('tab-active');
      }
      else {
        tabItem.classList.remove('tab-active');
      }
    });
  }
  render() {
    return (h(Host, null, h("div", { class: "container" }, h("slot", null))));
  }
  get el() { return getElement(this); }
};
SasTab.style = sasTabCss;

export { SasTab as sas_tab };
