import { r as registerInstance, h, H as Host, g as getElement } from './index-82af0817.js';

const sasTooltipCss = ":host{display:inline-block}:host .container{display:inline-block;position:relative;cursor:pointer}:host .chatBubble{z-index:10}:host .hide{opacity:0;z-index:-1;pointer-events:none}:host .trigger-container{color:var(--s-400);font-weight:bold}:host .text{margin:0}";

let SasTooltip = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /**
     * Trigger text
     */
    this.trigger = '';
    /**
     * Tooltip text
     */
    this.text = '';
    /**
     * Default tooltip position
     */
    this.position = 'bottom';
    this.mouseOverHandler = () => {
      this.updatePosition();
      const chatBubble = this.el.shadowRoot.querySelector('sas-chat-bubble');
      chatBubble.classList.remove('hide');
    };
    this.mouseOutHandler = () => {
      const chatBubble = this.el.shadowRoot.querySelector('sas-chat-bubble');
      chatBubble.classList.add('hide');
    };
  }
  updatePosition() {
    const bubble = this.el.shadowRoot.querySelector('sas-chat-bubble');
    const bubblePosition = bubble.getBoundingClientRect();
    let newPosition = this.position;
    if (bubblePosition.top < 0) {
      newPosition = 'bottom';
    }
    if (bubblePosition.bottom > document.documentElement.clientHeight) {
      newPosition = 'top';
    }
    if (bubblePosition.left < 0) {
      newPosition = 'right';
    }
    if (bubblePosition.right > document.documentElement.clientWidth) {
      newPosition = 'left';
    }
    this.position = newPosition;
  }
  render() {
    return (h(Host, null, h("div", { class: "container" }, h("div", { class: "trigger-container", tabindex: 0, onPointerOver: this.mouseOverHandler, onFocus: this.mouseOverHandler, onPointerOut: this.mouseOutHandler, onBlur: this.mouseOutHandler }, h("slot", { name: "trigger" }, h("span", null, this.trigger))), h("sas-chat-bubble", { class: "chatBubble hide", position: this.position }, h("slot", { name: "text" }, h("p", { class: "text" }, this.text))))));
  }
  get el() { return getElement(this); }
};
SasTooltip.style = sasTooltipCss;

export { SasTooltip as sas_tooltip };
