import { EventEmitter } from '../../stencil-public-runtime';
/**
* @slot title - Used for complex title, eg: words in title are different font weight
* @slot content - Used for complex content, eg: words in content are different font weight
*/
export declare class SasAlert {
  el: HTMLSasAlertElement;
  /**
   * Type
   */
  type: 'success' | 'info' | 'warning' | 'error';
  /**
   * Show
   */
  show: boolean;
  /**
   * Adds a close icon that can hide the alert
   */
  close: boolean;
  /**
   * Alert title, will be ignored if 'title' slot has slotted content
   */
  alertTitle: string;
  /**
   * Content,  will be ignored if 'content' slot has slotted content
   */
  content: string;
  /**
   * Emitted when the component is clicked
   */
  closed: EventEmitter<null>;
  private getTypeIcon;
  private handleCloseIconClick;
  render(): any;
}
