import { EventEmitter } from '../../stencil-public-runtime';
/**
 * @slot default - default slot
 */
export declare class SasButton {
  el: HTMLSasButtonElement;
  /**
   * Type
   */
  type: 'primary' | 'secondary' | 'text';
  /**
   * Size
   */
  size: 'exlarge' | 'large' | 'default' | 'small';
  /**
   * Text
   */
  text: string;
  /**
   * Icon left
   */
  iconLeft: string;
  /**
   * Icon
   */
  icon: string;
  /**
   * Icon position
   */
  iconPosition: 'left' | 'right';
  /**
   * Icon right
   */
  iconRight: string;
  /**
   * Expands the button to 100% of available space
   */
  block: boolean;
  /**
   * Adds a loading icon animation
   */
  loading: boolean;
  /**
   * Disabled
   */
  disabled: boolean;
  /**
   * Designates the component as anchor and applies the href attribute.
   */
  href: string;
  /**
   * Designates the target attribute. This should only be applied when using the href prop.
   */
  target: string;
  tabindexNumber: number;
  componentWillRender(): void;
  /**
   * Emitted when the component is clicked (will be deprecated)
   */
  buttonClicked: EventEmitter<number>;
  /**
   * Emitted when the component is clicked
   */
  buttonclicked: EventEmitter<number>;
  private getClickedElementIndex;
  private clickEvent;
  render(): any;
}
