import { EventEmitter } from '../../stencil-public-runtime';
/**
 * @slot icon - used for custom icons
 * @slot title - used for title
 * @slot content - used for content
 * @slot list - used for dropdown menu
 */
export declare class SasCard {
  /**
   * Display as block
   */
  block: boolean;
  /**
   * Src
   */
  src: string;
  /**
   * lazy load image
   */
  lazyImage: boolean;
  /**
   * Scale when hover
   */
  scale: string;
  /**
   * Needs repair
   */
  repair: boolean;
  /**
   * Has attachment
   */
  attachment: boolean;
  /**
   * Disabled
   */
  disabled: boolean;
  /**
   * Card title, will be ignored if 'card-title' slot has slotted content
   */
  cardTitle: string;
  /**
   * Emitted when the image is clicked
   */
  cardimageclicked: EventEmitter<number>;
  private getIcons;
  private clickHandler;
  private pointerOverHandler;
  private pointerOutHandler;
  render(): any;
}
