import { EventEmitter } from '../../stencil-public-runtime';
import { Option } from './type';
import { CheckboxValue } from '../sas-checkbox/type';
/**
 * @slot default - used for checkboxes
 */
export declare class SasCheckboxGroup {
  /**
   * Used for filter checkboxUpdate event
   */
  private timer;
  private formatOptions;
  private isMax;
  el: HTMLSasCheckboxGroupElement;
  /**
   * name
   */
  name: string;
  /**
   * Label
   */
  label: string;
  /**
   * Shows a star symbol behind label
   */
  required: boolean;
  /**
   * Selected values
   */
  values: CheckboxValue[];
  /**
   * Complete selected data
   */
  rawData: any[];
  /**
   * Maximum selected values, not use this prop when has sub group
   */
  max: number;
  /**
   * Options
   */
  options: Option[];
  /**
   * Show select all checkbox
   */
  selectAll: boolean;
  /**
   * Show select all checkbox text, only works when selectAll is true
   */
  selectAllText: string;
  /**
   * Display checkboxes in x columns
   */
  columns: number;
  watchValuesHandler(): void;
  watchOptionsHandler(): void;
  /**
   * Emitted when the values are changed by user interaction (will be deprecated)
   */
  checkboxGroupUpdate: EventEmitter<Array<object>>;
  /**
   * Emitted when the values are changed by user interaction
   */
  checkboxgroupupdate: EventEmitter<Array<object>>;
  componentWillLoad(): void;
  componentDidLoad(): void;
  checkboxUpdateHandler(event: any): void;
  /**
   * Trigger checkboxgroupupdate event programmatically
   */
  update(): Promise<void>;
  private init;
  private convertLightDomToShadowDom;
  private updateStatus;
  private getFormatOptions;
  private getValidValues;
  private getExistValues;
  private getValidValuesByCheckExclusive;
  private getValidValuesByCheckMax;
  private compareArray;
  private getRawData;
  private updateValues;
  private getCheckboxGroupElements;
  private getSelectAllObj;
  private getCheckboxElements;
  private getCheckboxElement;
  render(): any;
}
