import { EventEmitter } from '../../stencil-public-runtime';
import { CheckboxUpdateEventDetail, CheckboxValue } from './type';
export declare class SasCheckbox {
  el: HTMLSasCheckboxElement;
  private tabindexNumber;
  /**
   * name
   */
  name: string;
  /**
   *  Value
   */
  value: CheckboxValue;
  /**
   *  Text
   */
  text: string;
  /**
   *  Index
   */
  index: number;
  /**
   *  Text Position
   */
  textPosition: 'left' | 'right';
  /**
   *  Align
   */
  align: 'left' | 'right' | 'space-between';
  /**
   *  Check Status
   */
  checked: boolean;
  /**
   *  Disabled
   */
  disabled: boolean;
  /**
   *  Icon
   */
  icon: string;
  /**
   *  Error
   */
  error: boolean;
  /**
   *  Required
   */
  required: boolean;
  /**
   * Validity
   */
  validity: {
    valid: boolean;
    valueMissing: boolean;
  };
  /**
   * Only shows when prop error is true, auto generated
   */
  message: string;
  /**
   * Only used for multiselect
   */
  exclusive: boolean;
  watchHandler(): void;
  /**
   * Emitted when the value is changed by user interaction (will be deprecated)
   */
  checkboxUpdate: EventEmitter<CheckboxUpdateEventDetail>;
  /**
   * Emitted when the value is changed by user interaction
   */
  checkboxupdate: EventEmitter<CheckboxUpdateEventDetail>;
  componentWillRender(): void;
  /**
   * Validate
   */
  validate(): Promise<void>;
  /**
   * Show error status if value is not valid (only for components internal use)
   */
  updateErrorStatus(): Promise<void>;
  /**
   * Clear error status (only for components internal use)
   */
  resetErrorStatus(): Promise<void>;
  private getErrorMessage;
  private clickEvent;
  render(): any;
}
