import { EventEmitter } from '../../stencil-public-runtime';
import { FormInputTemplateHorizontalPosition, FormInputTemplateVerticalPosition } from '../sas-form-input-template/type';
export declare class SasDateField {
  el: HTMLSasDateFieldElement;
  private titles;
  /**
   * Label
   */
  label: string;
  /**
   * Label position
   */
  outside: boolean;
  /**
   * Shows a star symbol behind label
   */
  required: boolean;
  /**
   * name
   */
  name: string;
  /**
   * Value, ISO format "YYYY-MM-DDTHH:mm:ss.sssZ"
   */
  value: string;
  /**
   * Max value
   */
  max: string;
  /**
   * Min value
   */
  min: string;
  /**
   * disabled
   */
  disabled: boolean;
  /**
   * Clear
   */
  clear: boolean;
  /**
   * Icon
   */
  icon: string;
  /**
   * Container vertical position
   */
  position: FormInputTemplateVerticalPosition;
  /**
   * Container horizontal position
   */
  positionH: FormInputTemplateHorizontalPosition;
  /**
   * Validity
   */
  validity: {
    valid: boolean;
    valueMissing: boolean;
    rangeUnderflow: boolean;
    rangeOverflow: boolean;
  };
  /**
   * Only shows when prop error is true, auto generated
   */
  message: string;
  /**
   * Custom error message for when a required value is missing. "message" will overide this if given.
   */
  valueMissingMessage: string;
  /**
    * Custom error message for when a max was set and the value exceeds it. "message" will overide this if given.
    */
  rangeOverflowMessage: string;
  /**
    * Custom error message for when a min was set and the value exceeds it. "message" will overide this if given.
    */
  rangeUnderflowMessage: string;
  localDate: Date;
  watchHandler(): void;
  componentWillLoad(): void;
  inputUpdateHandler(event: any): void;
  /**
   * Emitted when the value is changed by user interaction (will be deprecated)
   */
  dateFieldUpdate: EventEmitter<string>;
  /**
   * Emitted when the value is changed by user interaction
   */
  datefieldupdate: EventEmitter<string>;
  /**
   * Emitted when the value is changed (only for components internal use)
   */
  dateFieldUpdateEventUsedInternal: EventEmitter;
  /**
   * Trigger datefieldupdate event programmatically
   */
  update(): Promise<void>;
  /**
   * Show error status if value is not valid (only for components internal use)
   */
  validate(): Promise<void>;
  /**
   * Show error status if value is not valid (only for components internal use)
   */
  updateErrorStatus(): Promise<void>;
  /**
   * Clear error status (only for components internal use)
   */
  resetErrorStatus(): Promise<void>;
  private getErrorMessage;
  private updateLocalDate;
  private validateValue;
  private checkIsDateLimit;
  private goToPrevMonth;
  private goToNextMonth;
  private goToPrevYear;
  private goToNextYear;
  private getLocalDateString;
  private getTitleText;
  private generateDateContent;
  private checkIsInMinMonth;
  private checkIsInMaxMonth;
  private handleButtonClick;
  private getButtonClass;
  render(): any;
}
