import { EventEmitter } from '../../stencil-public-runtime';
import { FormInputTemplateVerticalPosition } from '../sas-form-input-template/type';
export declare class SasDateRange {
  el: HTMLSasDateRangeElement;
  private message;
  /**
   * Label
   */
  label: string;
  /**
    * Label position
    */
  outside: boolean;
  /**
   * name
   */
  name: string;
  /**
   * Min date
   */
  min: string;
  /**
   * Max date
   */
  max: string;
  /**
   * From date
   */
  from: string;
  /**
   * To date
   */
  to: string;
  /**
   * Shows a star symbol behind label
   */
  required: boolean;
  /**
   * Disabled
   */
  disabled: boolean;
  /**
   * Default container position
   */
  position: FormInputTemplateVerticalPosition;
  /**
   * Validity
   */
  validity: {
    valid: boolean;
    valueMissing: boolean;
  };
  watchFromHandler(): void;
  watchToHandler(): void;
  /**
   * Emitted when the value is changed by user interaction
   */
  daterangeupdate: EventEmitter<object>;
  /**
   * Validate
   */
  validate(): Promise<void>;
  /**
   * Show error status if value is not valid (only for components internal use)
   */
  updateErrorStatus(): Promise<void>;
  /**
   * Clear error status (only for components internal use)
   */
  resetErrorStatus(): Promise<void>;
  private fromDateUpdateHander;
  private toDateUpdateHander;
  private emitEvent;
  private getMessage;
  render(): any;
}
