import { EventEmitter } from '../../stencil-public-runtime';
import { FormInputTemplateHorizontalPosition, FormInputTemplateVerticalPosition } from './type';
export declare class SasFormInputTemplate {
  private containerVerticalPosition;
  private containerHorizontalPosition;
  el: HTMLSasFormInputTemplateElement;
  /**
   * Label
   */
  label: string;
  /**
   * Label position
   */
  outside: boolean;
  /**
   * Shows a star symbol behind label
   */
  required: boolean;
  /**
   * Placeholder
   */
  placeholder: string;
  /**
   * Placeholder
   */
  type: string;
  /**
   * Value
   */
  value: string;
  /**
   * Max value, only works with type number, range and date
   */
  max: string;
  /**
   * Min value, only works with type number, range and date
   */
  min: string;
  /**
   * Icon Right
   */
  iconRight: string;
  /**
   * Readonly
   */
  readonly: boolean;
  /**
   * Error
   */
  error: boolean;
  /**
   * Disabled
   */
  disabled: boolean;
  /**
   * Clear
   */
  clear: boolean;
  /**
   * Container vertical position
   */
  position: FormInputTemplateVerticalPosition;
  /**
   * Container horizontal position
   */
  positionH: FormInputTemplateHorizontalPosition;
  /**
   * Show or hide content under input
   */
  show: boolean;
  /**
   * Close menu or not after click menu item
   */
  clickClose: boolean;
  /**
   * Minimum amount of space required above component, before rendering container above component
   */
  minimumPixelsAboveComponentRequired: number;
  /**
   * Minimum amount of space required to the right of the component, before rendering container to the right of the component
   */
  minimumPixelsRightOfComponentRequired: number;
  /**
   * Emitted when the container is clicked by user (only for components internal use)
   */
  inputContainerClick: EventEmitter;
  showHandler(newValue: boolean): void;
  listItemClickEventUsedInternalHandler(): void;
  private handleInputClick;
  private handleContainerClick;
  private showContainer;
  private hideContainer;
  private updateContainerPosition;
  private updateVerticalContainerPosition;
  private updateContainerHorizontalPosition;
  render(): any;
}
