import { EventEmitter } from '../../stencil-public-runtime';
export declare class SasInput {
  private isUpdateFromSubcomponent;
  el: HTMLSasInputElement;
  /**
   * Type
   */
  type: string;
  /**
   * Placeholder
   */
  placeholder: string;
  /**
   * name
   */
  name: string;
  /**
   * Value
   */
  value: string;
  /**
   * Label
   */
  label: string;
  /**
   * Label position
   */
  outside: boolean;
  /**
   * Shows a star symbol behind label
   */
  required: boolean;
  /**
   * Maximum number of characters allowed
   */
  maxlength: number;
  /**
   * Minimum number of characters allowed
   */
  minlength: number;
  /**
   * Max value, only works with type number, range and date
   */
  max: string;
  /**
   * Min value, only works with type number, range and date
   */
  min: string;
  /**
   * Shows an icon on left
   */
  iconLeft: string;
  /**
   * Shows an icon on right, will be overrided if type is password
   */
  iconRight: string;
  /**
   * Show a clear icon to clear input
   */
  clear: boolean;
  /**
   * Readonly
   */
  readonly: boolean;
  /**
   * Disabled
   */
  disabled: boolean;
  /**
   * Validity
   */
  validity: any;
  /**
   * Changes to false automatically when value updates
   */
  error: boolean;
  /**
   * Only shows when prop error is true, auto generated
   */
  message: string;
  /**
   * Country
   */
  country: string;
  /**
   * Placeholder Number Type
   */
  placeholderNumberType: string;
  /**
   * phone number validity
   */
  isValidNumber: boolean;
  watchCountryHandler(): void;
  watchValueHandler(): Promise<void>;
  watchPlaceholderNumberTypeHandler(): void;
  /**
   * Emitted when the value is changed by user interaction (will be deprecated)
   */
  inputUpdate: EventEmitter<string>;
  /**
   * Emitted when the value is changed by user interaction
   */
  inputupdate: EventEmitter<string>;
  /**
   * Emitted when the right icon is clicked by user
   */
  inputiconrightclicked: EventEmitter;
  /**
   * Emitted when the value is cleared by user (only for components internal use)
   */
  inputClear: EventEmitter;
  /**
   * Emitted when the component is focused
   */
  inputFocus: EventEmitter;
  /**
   * Emitted when the component is blurred
   */
  inputBlur: EventEmitter;
  componentWillLoad(): Promise<void>;
  inputTelUpdateHandler(event: any): void;
  inputTextareaUpdateHandler(event: any): void;
  /**
   * Trigger inputupdate event programmatically
   */
  update(): Promise<void>;
  /**
   * Validate
   */
  validate(customErrorMessage?: string): Promise<void>;
  /**
   * Show error status if value is not valid (only for components internal use)
   */
  updateErrorStatus(errorMessage?: string): Promise<void>;
  /**
   * Clear error status (only for components internal use)
   */
  resetErrorStatus(): Promise<void>;
  /**
   * Set custom error message and validate
   */
  setCustomValidity(errorMessage?: string): Promise<void>;
  private getErrorMessage;
  private handleInput;
  private focusEvent;
  private blurEvent;
  private getLeftIcon;
  private clickEvent;
  private generateRightIcon;
  private togglePassword;
  private iconRightClickHandler;
  private clearInput;
  render(): any;
}
