import { EventEmitter } from '../../stencil-public-runtime';
import { ListItemValue } from './type';
/**
 * @slot icon - used for left icon
 * @slot text - used for text
 * @slot iconRight - used for right icon
 */
export declare class SasListItem {
  el: HTMLSasListItemElement;
  /**
   * Icon left
   */
  icon: string;
  /**
   * Value
   */
  value: ListItemValue;
  /**
   * Text
   */
  text: string;
  /**
   * Subtext
   */
  subtext: string;
  /**
   * Set subtext position
   */
  subtextPosition: 'bottom' | 'right';
  /**
   * Icon Right
   */
  iconRight: string;
  /**
   * Used for single selection
   */
  selected: boolean;
  /**
   * Disabled
   */
  disabled: boolean;
  /**
   * Index
   */
  index: number;
  /**
   * Designates the component as anchor and applies the href attribute.
   */
  href: string;
  /**
   * Designates the target attribute. This should only be applied when using the href prop.
   */
  target: string;
  /**
   * Emitted when the component is clicked
   */
  listItemClicked: EventEmitter<object>;
  /**
   * Emitted when the component is clicked (only for components internal use)
   */
  listItemClickEventUsedInternal: EventEmitter;
  private clickEvent;
  render(): any;
}
