import { EventEmitter } from '../../stencil-public-runtime';
import { Option } from './type';
import { ListItemValue } from '../sas-list-item/type';
/**
 * @slot default - used for list item
 */
export declare class SasList {
  private decodeOptions;
  el: HTMLSasListElement;
  /**
   * Enable toggle sub list
   */
  toggle: boolean;
  /**
   * Open current sub list only
   */
  compact: boolean;
  /**
   * Show border
   */
  border: boolean;
  /**
   * If list items have subtext, set list item subtext position
   */
  subtextPosition: 'bottom' | 'right';
  /**
   * Selected value
   */
  value: ListItemValue;
  /**
   * Complete selected data
   */
  rawData: any;
  /**
   * Selected text
   */
  text: string;
  /**
   * Default value
   */
  defaultValue: ListItemValue;
  /**
   * Options
   */
  options: Option[];
  watchValueHandler(): void;
  watchOptionsHandler(): void;
  /**
   * Emitted when the right icon is clicked by user
   */
  listUpdate: EventEmitter<object>;
  componentWillLoad(): void;
  componentDidRender(): void;
  listItemClickedHandler(event: any): void;
  listItemClickEventUsedInternalHandler(): void;
  /**
   * Trigger inputupdate event programmatically
   */
  update(): Promise<void>;
  private getDecodeOptions;
  private getText;
  private validateValue;
  private checkShadowDom;
  private updateSelectStatus;
  private updateRawData;
  private getListItemElements;
  private getSelectedElement;
  private generateListItemElements;
  private getListItemElement;
  render(): any;
}
