import { EventEmitter } from '../../stencil-public-runtime';
import { CheckboxValue } from '../sas-checkbox/type';
import { MultiSelectOption } from './type';
export declare class SasMultiselect {
  private checkedChipNumber;
  private formatOptions;
  /**
   * Chip object array
   */
  private chipArray;
  el: HTMLSasMultiselectElement;
  /**
   * Type
   */
  type: 'text' | 'chip';
  /**
   * Search, only works with type chip
   */
  search: boolean;
  /**
   * Filter Text, value of current filter term
   */
  filterText: string;
  /**
   * No match action
   */
  noMatchAction: 'show_no_match_tip' | 'show_no_match_add_new_option';
  /**
   * No match tip
   */
  noMatchTip: string;
  /**
   * Label
   */
  label: string;
  /**
   * Label position
   */
  outside: boolean;
  /**
   * Shows a star symbol behind label
   */
  required: boolean;
  /**
   * disabled
   */
  disabled: boolean;
  /**
   * Clear
   */
  clear: boolean;
  /**
   * Placeholder
   */
  placeholder: string;
  /**
   * Options
   */
  options: MultiSelectOption[];
  /**
   * name
   */
  name: string;
  /**
   * Selected values
   */
  values: CheckboxValue[];
  /**
   * Complete selected data
   */
  rawData: any[];
  /**
   * Minimum selected values, not use this prop when has sub group
   */
  min: number;
  /**
   * Maximum selected values, not use this prop when has sub group
   */
  max: number;
  /**
   * Maximum chips number, only works in type chip
   */
  maxChip: number;
  /**
   * Show select all checkbox
   */
  selectAll: boolean;
  /**
   * Show select all checkbox text
   */
  selectAllText: string;
  /**
   * Default container position
   */
  position: 'top' | 'bottom' | null;
  /**
   * Validity
   */
  validity: {
    valid: boolean;
    valueMissing: boolean;
    rangeUnderflow: boolean;
    rangeOverflow: boolean;
  };
  /**
   * Only shows when input is invalid, auto generated
   */
  message: string;
  /**
   * Input value
   */
  value: any;
  /**
   * Property used to set the text for the button filter, can be Clear or Clear Selection
   */
  buttonFilterText: 'Clear' | 'Clear Selection';
  watchValuesHandler(): void;
  watchOptionsHandler(): void;
  /**
   * Emitted when the values are changed by user interaction (will be deprecated)
   */
  multiselectUpdate: EventEmitter<Array<object>>;
  /**
   * Emitted when the values are changed by user interaction
   */
  multiselectupdate: EventEmitter<Array<object>>;
  /**
   * Emitted when the values are changed (only for components internal use)
   */
  multiselectUpdateEventUsedInternal: EventEmitter<Array<object>>;
  componentWillLoad(): void;
  checkboxUpdateHandler(event: any): void;
  chipUpdateHandler(event: any): void;
  inputContainerClickHandler(): void;
  /**
   * Trigger multiselectupdate event programmatically
   */
  update(): Promise<void>;
  /**
   * Validate
   */
  validate(): Promise<void>;
  /**
   * Show error status if value is not valid (only for components internal use)
   */
  updateErrorStatus(): Promise<void>;
  /**
   * Clear error status (only for components internal use)
   */
  resetErrorStatus(): Promise<void>;
  private convertLightDomToShadowDom;
  private updateStatus;
  private getFormatOptions;
  private getValidValues;
  private getExistValues;
  private getValidValuesByCheckExclusive;
  private getExclusiveValue;
  private getValidValuesByCheckMax;
  private compareArray;
  private getRawData;
  private getErrorMessage;
  private checkShadowDom;
  private getCheckboxGroup;
  private getInputValue;
  private getChipArray;
  private inputEvent;
  private addNewOptionClickEvent;
  private filter;
  private chipMouseDownEvent;
  private getChipElement;
  private getChipWidth;
  private getChipClass;
  private getChipText;
  private getFirstCheckedCheckbox;
  private clearAll;
  private clearFilterText;
  private clearSelection;
  private getClearText;
  private getNoMatchTipTextContent;
  render(): any;
}
