import { EventEmitter } from '../../stencil-public-runtime';
import { RadioValue } from '../sas-radio/type';
import { Option } from './type';
/**
 * @slot default - used for radios
 */
export declare class SasRadioGroup {
  el: HTMLSasRadioGroupElement;
  /**
   * name
   */
  name: string;
  /**
   * Label
   */
  label: string;
  /**
   * Shows a star symbol behind label
   */
  required: boolean;
  /**
   * Checked value
   */
  value: RadioValue;
  /**
   * Default value
   */
  defaultValue: RadioValue;
  /**
   * Checked text
   */
  text: string;
  /**
   * Complete checked data
   */
  rawData: any;
  /**
   * Options
   */
  options: Option[];
  watchValueHandler(): void;
  watchOptionsHandler(): void;
  /**
   * Emitted when the value is changed by user interaction (will be deprecated)
   */
  radioGroupUpdate: EventEmitter<object>;
  /**
   * Emitted when the value is changed by user interaction
   */
  radiogroupupdate: EventEmitter<object>;
  componentWillLoad(): void;
  radioUpdateHandler(event: any): void;
  /**
   * Trigger radiogroupupdate event programmatically
   */
  update(): Promise<void>;
  private getText;
  private validateValue;
  private checkShadowDom;
  private updateCheckStatus;
  private updateRawData;
  private getRadioElements;
  private getCheckedElement;
  private getRadioGroupElements;
  render(): any;
}
