import { EventEmitter } from '../../stencil-public-runtime';
import { RadioValue } from './type';
export declare class SasRadio {
  el: HTMLSasRadioElement;
  /**
   * name
   */
  name: string;
  /**
   * Value
   */
  value: RadioValue;
  /**
   *  Text
   */
  text: string;
  /**
   *  Text Position
   */
  textPosition: 'left' | 'right';
  /**
   *  Align
   */
  align: 'left' | 'right';
  /**
   *  Check Status
   */
  checked: boolean;
  /**
   *  Disabled
   */
  disabled: boolean;
  /**
   *  Required
   */
  required: boolean;
  /**
   *  Error
   */
  error: boolean;
  /**
   * Validity
   */
  validity: {
    valid: boolean;
    valueMissing: boolean;
  };
  /**
   * Only shows when prop error is true, auto generated
   */
  message: string;
  tabindexNumber: number;
  watchHandler(): void;
  /**
   * Emitted when the value is changed by user interaction (will be deprecated)
   */
  radioUpdate: EventEmitter<object>;
  /**
   * Emitted when the value is changed by user interaction
   */
  radioupdate: EventEmitter<object>;
  componentWillRender(): void;
  /**
   * Validate
   */
  validate(): Promise<void>;
  /**
   * Show error status if value is not valid (only for components internal use)
   */
  updateErrorStatus(): Promise<void>;
  /**
   * Clear error status (only for components internal use)
   */
  resetErrorStatus(): Promise<void>;
  private getErrorMessage;
  private clickEvent;
  render(): any;
}
