import { EventEmitter } from '../../stencil-public-runtime';
import { Option } from './type';
export declare class SasSelect {
  private inputText;
  private error;
  private decodeOptions;
  private defaultPlaceholder;
  el: HTMLSasSelectElement;
  /**
   * Label
   */
  label: string;
  /**
   * Label position
   */
  outside: boolean;
  /**
   * Shows a star symbol behind label
   */
  required: boolean;
  /**
   * Search
   */
  type: 'default' | 'search' | 'create';
  /**
   * No match tip
   */
  noMatchTip: string;
  /**
   * Placeholder
   */
  placeholder: string;
  /**
   * disabled
   */
  disabled: boolean;
  /**
   * Clear
   */
  clear: boolean;
  /**
   * Options
   */
  options: Option[];
  /**
   * default value, used for the case options might be updated
   */
  defaultValue: any;
  /**
   * name
   */
  name: string;
  /**
   * Selected value
   */
  value: any;
  /**
   * Complete selected data
   */
  rawData: any;
  /**
   * Selected text
   */
  text: any;
  /**
   * If options have subtext, set options subtext position
   */
  subtextPosition: 'bottom' | 'right';
  /**
   * Default container position
   */
  position: 'top' | 'bottom' | null;
  /**
   * Validity
   */
  validity: {
    valid: boolean;
    valueMissing: boolean;
  };
  /**
   * Only shows when input is invalid, auto generated
   */
  message: string;
  watchValueHandler(): void;
  watchOptionsHandler(): void;
  componentWillLoad(): void;
  /**
   * Emitted when the value is changed by user interaction (will be deprecated)
   */
  selectUpdate: EventEmitter<object>;
  /**
   * Emitted when the value is changed by user interaction
   */
  selectupdate: EventEmitter<object>;
  /**
   * Emitted when the value is changed (only for components internal use)
   */
  selectUpdateEventUsedInternal: EventEmitter<object>;
  listItemClickedHandler(event: any): void;
  listItemClickEventUsedInternalHandler(event: any): void;
  inputUpdateHandler(event: any): void;
  inputClearHandler(): void;
  inputFocusHandler(): void;
  inputBlurHandler(): void;
  inputContainerClickHandler(): void;
  /**
   * Trigger selectupdate event programmatically
   */
  update(): Promise<void>;
  /**
   * Validate
   */
  validate(): Promise<void>;
  /**
   * Show error status if value is not valid (only for components internal use)
   */
  updateErrorStatus(): Promise<void>;
  /**
   * Clear error status (only for components internal use)
   */
  resetErrorStatus(): Promise<void>;
  private getDecodeOptions;
  private validateValue;
  private getErrorMessage;
  private checkShadowDom;
  private getListElement;
  private updateSelectStatus;
  private updateRawData;
  private getText;
  private getSelectedElement;
  private getListItemElements;
  private filter;
  private createElement;
  render(): any;
}
