import { EventEmitter } from '../../stencil-public-runtime';
export declare class SasStepper {
  el: HTMLSasStepperElement;
  /**
   *  Total steps
   */
  total: number;
  /**
   *  Current step
   */
  current: number;
  /**
   *  Step names
   */
  names: string[];
  /**
   *  Stepper Direction
   */
  direction: "row" | "column";
  /**
   *  Used to provide what backgound this will be displayed on, as colors need updating to allow for contrast differences
   */
  backgroundTheme: "dark" | "light";
  watchHandler(newValue: number): void;
  /**
   * Emitted when the value is changed by user interaction
   */
  stepperUpdate: EventEmitter<number>;
  buttonclickedHandler(event: any): void;
  private stepNameClickedHandler;
  private getSteppers;
  private getStepperNames;
  render(): any;
}
