import { EventEmitter } from '../../stencil-public-runtime';
export declare class SasSwitch {
  el: HTMLSasSwitchElement;
  /**
   * name
   */
  name: string;
  /**
   *  Check Status
   */
  checked: boolean;
  /**
   *  Required
   */
  required: boolean;
  /**
   *  Error
   */
  error: boolean;
  /**
   * Validity
   */
  validity: {
    valid: boolean;
    valueMissing: boolean;
  };
  /**
   * Only shows when prop error is true, auto generated
   */
  message: string;
  watchHandler(): void;
  /**
   * Emitted when the value is changed by user interaction
   */
  switchUpdate: EventEmitter<boolean>;
  /**
   * Validate
   */
  validate(): Promise<void>;
  /**
   * Show error status if value is not valid (only for components internal use)
   */
  updateErrorStatus(): Promise<void>;
  /**
   * Clear error status (only for components internal use)
   */
  resetErrorStatus(): Promise<void>;
  private getErrorMessage;
  private clickEvent;
  render(): any;
}
