import { EventEmitter } from '../../stencil-public-runtime';
export declare class SasTimeField {
  el: HTMLSasTimeFieldElement;
  private isUpdateTimeFieldList;
  /**
   * Label
   */
  label: string;
  /**
   * Label position
   */
  outside: boolean;
  /**
   * Shows a star symbol behind label
   */
  required: boolean;
  /**
   * name
   */
  name: string;
  /**
   * Value
   */
  value: string;
  /**
   * Max value
   */
  max: string;
  /**
   * Min value
   */
  min: string;
  /**
   * disabled
   */
  disabled: boolean;
  /**
   * Clear
   */
  clear: boolean;
  /**
   * Default container position
   */
  position: 'top' | 'bottom' | null;
  /**
   * Validity
   */
  validity: {
    valid: boolean;
    valueMissing: boolean;
    rangeUnderflow: boolean;
    rangeOverflow: boolean;
  };
  /**
   * Only shows when prop error is true, auto generated
   */
  message: string;
  watchHandler(): void;
  componentDidLoad(): void;
  inputUpdateHandler(event: any): void;
  inputContainerClickHandler(): void;
  listItemClickedHandler(): void;
  /**
   * Emitted when the value is changed by user interaction (will be deprecated)
   */
  timeFieldUpdate: EventEmitter<string>;
  /**
   * Emitted when the value is changed by user interaction
   */
  timefieldupdate: EventEmitter<string>;
  /**
   * Show error status if value is not valid (only for components internal use)
   */
  validate(): Promise<void>;
  /**
   * Show error status if value is not valid (only for components internal use)
   */
  updateErrorStatus(): Promise<void>;
  /**
   * Clear error status (only for components internal use)
   */
  resetErrorStatus(): Promise<void>;
  private getErrorMessage;
  private infiniteScroll;
  private updateTimeFieldList;
  private convertTo12Hour;
  private convertTo24Hour;
  private getFormatHour;
  private getFormatMinute;
  private getDayPart;
  private formatValue;
  private getElement;
  render(): any;
}
