import { Option, UploadFile } from './type';
export declare class SasUpload {
  private filterMessage;
  private needReplace;
  private MIME_TYPE;
  private acceptTypes;
  el: HTMLSasUploadElement;
  /**
   * Compact
   */
  compact: boolean;
  /**
   * Input outside the file container, used when input and file container are separate
   */
  inputOutside: boolean;
  /**
   * Show full image
   */
  fullImage: boolean;
  /**
   * Type
   */
  type: 'default' | 'doc' | 'image';
  /**
   * Label
   */
  label: string;
  /**
   * name
   */
  name: string;
  /**
   * Max
   */
  max: number;
  /**
   * Maximum file size
   */
  size: number;
  /**
   * Accept file type, eg: ".jpg,.jpeg", set this value will overwrite current accept file type
   */
  accept: string;
  /**
   * Array of file object
   */
  files: UploadFile[];
  /**
   * Removed files
   */
  removedFiles: UploadFile[];
  /**
   * Submit method
   */
  method: string;
  /**
   * Submit url
   */
  url: string;
  /**
   * Required
   */
  required: boolean;
  /**
   * Disabled
   */
  disabled: boolean;
  /**
   * Error
   */
  error: boolean;
  /**
   * Validity
   */
  validity: {
    valid: boolean;
    valueMissing: boolean;
  };
  /**
   * Only shows when prop error is true, auto generated
   */
  message: string;
  watchHandler(): void;
  componentWillLoad(): void;
  /**
   * Validate component value. If invalid, scroll component into view.
   */
  validate(): Promise<void>;
  /**
   * Submit file
   */
  submit(method?: string, url?: string, additionalData?: any[], options?: Option): Promise<any>;
  /**
   * Show error status if value is not valid (only for components internal use)
   */
  updateErrorStatus(): Promise<void>;
  /**
   * Clear error status (only for components internal use)
   */
  resetErrorStatus(): Promise<void>;
  /**
   * Get submit data in FormData type
   */
  getFormData(uploadAll?: boolean): Promise<FormData>;
  /**
   * Check if adding new file or removing old file
   */
  checkFileUpdate(): Promise<boolean>;
  private getErrorMessage;
  private getValidity;
  private triggerInputClick;
  private handleDeleteIconClick;
  private handleInputChange;
  private handleDrop;
  private filter;
  private filterMax;
  private filterType;
  private filterSize;
  private filterDuplicate;
  private resetInput;
  private addDropEffect;
  private removeDropEffect;
  private getAcceptAttributeValue;
  private getFiles;
  private getFileIcon;
  private getFileType;
  private getFileSize;
  private removeAllFiles;
  render(): any;
}
