# SAS-UI

Web Components Library.

# Documentation
[Documentation](https://sasrst.github.io/SafeAgSystems.ComponentLibrary/)

# Usage

## Vanilla JavaScript

### CDN

#### Add these to main html file.

```html
<script nomodule src='https://cdn.jsdelivr.net/npm/sas-ui/dist/cjs/sas-ui.cjs.js'></script>
<script type="module" src='https://cdn.jsdelivr.net/npm/sas-ui/dist/esm/sas-ui.js'></script>
<!-- global style -->
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/sas-ui/dist/sas-ui/sas-ui.css">
```

### NPM

#### 1. Install

```bash
npm install sas-ui
```

#### 2. Add these to main html file.

```html
<script nomodule src='node_modules/sas-ui/dist/cjs/sas-ui.cjs.js'></script>
<script type="module" src='node_modules/sas-ui/dist/esm/sas-ui.js'></script>
<!-- global style -->
<link rel="stylesheet" href="node_modules/sas-ui/dist/sas-ui/sas-ui.css">
```

## VUE

### CDN

#### Add these to public/index.html

```html
<script nomodule src='https://cdn.jsdelivr.net/npm/sas-ui/dist/cjs/sas-ui.cjs.js'></script>
<script type="module" src='https://cdn.jsdelivr.net/npm/sas-ui/dist/esm/sas-ui.js'></script>
<!-- global style -->
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/sas-ui/dist/sas-ui/sas-ui.css">
```

### NPM

#### 1. Install

##### 1.1 Command Line

```bash
npm install sas-ui
```

##### 1.2 VUE GUI
##### Start VUE GUI by 
```bash
vue ui
```
##### On the left side of your screen, click on Dependencies. Once there, search for sas-ui in the input field and install the dependency.

#### 2. Add these to src/main.js

```js
import { defineCustomElements } from 'sas-ui/loader';
import 'sas-ui/dist/sas-ui/sas-ui.css'

defineCustomElements();
```

